Moving from AutoCAD to AutoCAD Electrical

Moving from AutoCAD to AutoCAD Electrical Guide
Moving from AutoCAD to AutoCAD Electrical
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Moving from AutoCAD to AutoCAD Electrical Guide
  • AutoCAD to AutoCAD Electrical Transition Guide
  • Electrical Visual Dictionary
  • Workflow Automation using AutoCAD Electrical
  • Data Migration using AutoCAD Electrical
Please send us your comment about this page


Moving from AutoCAD to AutoCAD Electrical Guide

Moving from AutoCAD to AutoCAD Electrical
Moving from AutoCAD to AutoCAD Electrical
AutoCAD to AutoCAD Electrical Transition Guide
Moving from AutoCAD to AutoCAD Electrical >
Moving from AutoCAD to AutoCAD Electrical Guide
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Got Questions? Get answers.

AutoCAD to AutoCAD Electrical Transition Guide

Wondering where to start to get from AutoCAD to AutoCAD Electrical? Find out more about the differences between them.

Electrical Visual Dictionary

Like to see it in pictures? Here is your dictionary of Electrical glossary terms with illustrations. You can click the image for an enlarged view or narrated slideshow.

Workflow Automation using AutoCAD Electrical

Understand how to create the schematic wiring diagram, panel layout diagram, PLC diagram, and reports using AutoCAD Electrical.

Data Migration using AutoCAD Electrical

Want to migrate your existing AutoCAD library symbols to Electrical symbols? Step through sequential procedures for the migration.


AutoCAD to AutoCAD Electrical Transition Guide

Moving from AutoCAD to AutoCAD Electrical Guide
Moving from AutoCAD to AutoCAD Electrical
Electrical Visual Dictionary
Moving from AutoCAD to AutoCAD Electrical >
AutoCAD to AutoCAD Electrical Transition Guide
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Functionality

AutoCAD

To complete a schematic control system diagram, you work through a sequence of manual operations.

AutoCAD Electrical

Many AutoCAD Electrical functions are powerful AutoCAD macros, and other functions use AutoCAD programming languages to create electrical industry-specific commands. It automates the drawing process.

NoteYou can edit AutoCAD Electrical drawings with AutoCAD or AutoCAD LT without corrupting AutoCAD Electrical functionality.

Symbol Libraries

AutoCAD

Symbol libraries are created by using AutoCAD blocks and attributes.

AutoCAD Electrical

AutoCAD Electrical schematic blocks or symbols are standard AutoCAD blocks using a combination of attributes and xdata to enhance the intelligence of the block.

Schematic blocks are referred to as symbols and panel layout blocks are referred to as footprints. Both symbols and footprints are referred to as components.

In AutoCAD Electrical, there are two sizes of JIC and IEC symbols and one size of GB and JIS symbols. It also includes pneumatic, hydraulic, and P&ID symbols.

Wires

AutoCAD

The Line command creates wires in AutoCAD.

AutoCAD Electrical

A wire in AutoCAD Electrical is an AutoCAD line entity on an AutoCAD Electrical-defined wire layer. There are unlimited wire layers available in AutoCAD Electrical.

NoteIn AutoCAD Electrical, polylines cannot be used as wires.

File Search Path

AutoCAD

In AutoCAD, the working search path for drawing support files lists paths that are valid and exist in the current system directory structure (including system network mapping). These options improve performance when the files are loaded.

AutoCAD Electrical

AutoCAD Electrical uses a longer search path than AutoCAD, inserting its own search paths in front of the standard AutoCAD search paths. When inserting a symbol, AutoCAD Electrical checks the drawing file itself for a copy of the symbol:

  1. It checks for specific file name, using the full path name, if provided.
  2. It checks for the symbol in the AutoCAD Electrical User subdirectory, defined in wd.env file in the local directory. For Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\Acade {version}\Libs. For Windows Vista: C:\Users\Public\Public Documents\Autodesk\Acade {version}\Libs.
  3. It checks in the subdirectory of the project where the WDP project file of the active project is located.
  4. It checks for the symbol in the library selected for the current project. If no project is current, the library is the one pointed to by the WD_LIB setting in the wd.env file.
  5. It checks for AutoCAD Electrical support file folder.
  6. It checks the current directory. It checks the AutoCAD file support paths.
  7. It displays an AutoCAD alert message.

Network Installation

AutoCAD

For a network installation, you can install the program to workstations with the files and registry entries that allow the program to communicate with the Network License Manager. Workstations running AutoCAD based on a network installation do not require individual activation. Licensing of AutoCAD is managed by at least one license server.

AutoCAD Electrical

Like an AutoCAD network installation in that the software and menu support files should be installed locally. The symbol libraries, project files, and catalog database files (as well as other shared files) should be installed on network drives.

Symbol Libraries Databases

AutoCAD

You can extract the databases from the library block attributes to a separate text file in either comma-delimited format (CDF), space-delimited format (SDF) or drawing interchange format (DXF) for use with database software (for example, DBASE IV).

AutoCAD Electrical

AutoCAD Electrical uses part catalog databases for symbol libraries and panel footprint databases for footprints. With AutoCAD Electrical standard Microsoft Windows interface, you can store data, print reports, and edit files using Microsoft Access, Microsoft Excel, and ASCII text files.

The part catalog databases, which stores bill-of-material (BOM) information for components, has 16 fields for storing of information. All databases are in Microsoft Access MDB file format, allowing any compatible editor to open and edit the database files. A schematic symbol is used to represent many manufacturers for schematic drawing.

Panel footprint databases are also stored in Microsoft Access MDB file format. The footprint database contains each manufacturer with different size and shape for a component in a panel layout drawing.

File Types

AutoCAD

You work with one file type: DWG. You cannot separate your project file name, document, and database from within the DWG file.

AutoCAD Electrical

You work with a minimum of four file types. AutoCAD Electrical uses ASCII text files as reference files for different purposes.

File extensions:

  1. WDP - Project files used by AutoCAD Electrical for organizing project drawings. You can have unlimited number of projects but only one project can be active each time.
  2. WDD - Project specific description file for components (for example, wd_desc.wdd is the project description default).
  3. WDL - Project descriptive line information files. Typically, these files are changed to match the attribute values of the drawing title.
  4. WDT - Project-based title block mapping files. With most configuration files, AutoCAD Electrical first searches for the first matching project name, for example *.WDT. If the WDT file with the project name is not found, AutoCAD Electrical uses the default.wdt file.


Electrical Visual Dictionary

AutoCAD to AutoCAD Electrical Transition Guide
Moving from AutoCAD to AutoCAD Electrical
Workflow Automation using AutoCAD Electrical
Moving from AutoCAD to AutoCAD Electrical >
Electrical Visual Dictionary
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Wiring Diagram vs. Schematic Diagram

Wiring diagram in AutoCAD Electrical refers to drawings portraying the components and interconnected wires in an electrical system using standardized symbols.

Schematic diagram in AutoCAD Electrical refers to drawings that detail a system, an assemblage of inter-related elements comprising a unified whole control diagram.

The pneumatic or hydraulic control system diagram uses control devices such as the cylinders, valves, pumps, and motors. The Process and Instrumentation diagram uses pipings, connectors, valves, and fluid flow meters.

Click for an example

Panel Footprints vs. Schematic Symbols

A footprint is a physical representation of an electrical component or block of the panel layout. Footprints are panel layout blocks that consist of xdata.

Symbols are schematic blocks for wiring diagrams. Symbols are AutoCAD blocks that consist of attributes.

Both footprint and symbols carry intelligence on attributes and xdata. To insert symbol libraries, click Insert Component on the Schematic tab [image] Insert Components panel. To insert a footprint, click Insert Footprint on the Panel tab [image] Insert Component Footprints panel.

Click for an example

Symbols vs. Components

In AutoCAD Electrical, symbols are graphical representations of electrical standard parts in the library. Symbol represents a standalone standard part or the subset of a component in a particular project.

Components are distinct constituents of an electrical system mark with component tag definitions. In AutoCAD Electrical, a component contains multiple instances with interconnected relationships in a project.

Click for an example

Project Definition File (WDP)

AutoCAD Electrical is a project-based application. Each electrical project is defined with an ASCII text file with a .wdp extension.

You can use the Project Manager to create new projects, access existing projects, add drawings, and change the properties to the active project.

Click for an example

WD_M & WD_PNLM Block

In AutoCAD Electrical, the WD_M block contains attribute tags for the drawing configuration settings for component layers, wire layers, wire numbering, component takings, and ladders for schematic diagrams.

WD_PNLM block contains attribute tags for panel drawing configuration settings for footprint layers, balloon, panel wire connection.

Both WD_M and WD_PNLM blocks are invisible and contain no graphic information. Each drawing should contain only one copy each of the WD_M block or WD_PNLM block.

Click the Drawing Configuration icon in a new drawing, an alert dialog box appears to ask whether you want to force this configuration settings for this drawing to match the project settings or use the default configuration setting.

Click for an example (WD_M Block)

Click for an example (WD_PNLM Block)

Component Cross-reference

Component cross-referencing is based upon collecting and annotating groups of components that carry the same TAG text string value (such as "101CR"). Components do not have to be of the same family to be cross-referenced; they must have the same TAG1/TAG2/TAG_*/TAG attribute values.

Real-time cross-referencing takes place on the active drawing. AutoCAD Electrical can be configured to do real-time updates across the entire drawing set. But in its default mode, automated "batch" utilities are used to cross-reference parent and child contacts that are spread out over multiple drawings.

Click for an example

Signal Cross-reference

This utility automatically updates cross-reference information for two types of cross-reference symbols: (1) Wire number signals (2) Stand-alone cross reference symbols.

For wire number signals, it updates the "from/to" cross-reference annotation on each wire network source and destination arrow symbols. It can also make sure that wire number tags on the destination end match the wire numbers carried on the source end of each wire signal pair. Like the component cross-referencing, it can also perform real-time reference on the active drawing, the entire drawing set or referencing across multiple drawings in the project set.

For stand-alone cross-reference symbols, it updates the cross-reference annotation between pairs of stand-alone cross-reference symbols. This update happens on a per-drawing basis.

Click for an example

Surfer

Use this utility to move from reference to reference quickly across the project drawing set. For example, you may pick the Surfer command and click the coil or any contact of relay "CR105." You can use Surfer to check problems related to wire signal source or destination codes.

A dialog box lists all references related to this relay, including panel layout and panel nameplate references for you to easily surf through your drawing set, looking at each reference in context.

Click for an example

Pinlist

AutoCAD Electrical consults a pinlist database table when a part number is added or an existing part number is changed on a parent schematic symbol.

If AutoCAD Electrical finds a match on the part numbers (MFG, CAT, and optional ASSYCODE values) in this database table, then the associated contact count and pin number information is retrieved and placed on the parent schematic component.

To access the pinlist table, click Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] Pin List Database Editor. enter (AEPINLISTTABLE) at the command prompt.

Click for an example

PLC (Programmable Logic Controller)

AutoCAD Electrical does drafting of PLC I/O modules.

It can generate hundreds of different PLC I/O modules on demand, in various different graphical styles.

AutoCAD Electrical generates PLC I/O modules through a parametric generation technique driven by an ASCII data file and using just a handful of component parts.

Click for an example

Terminal Block

Terminal blocks are used to connect devices that require quick disconnect or disassembly during product shipment, while at other times they can be used to distribute power to other devices.

Click for an example

Terminal Strip

Terminal strips consist of multiple terminal blocks. The terminal strip layout drawing contains all information regarding the terminal strip. Use the Terminal Strip Editor to modify a terminal strip when required.

Click for an example

Rung

Rungs are the crosspieces between the ladders. AutoCAD Electrical finds the nearest line reference location and places a ladder rung at that reference position (both bus wires must be visible on the screen for this function to work).

Click for an example

Scoot

Use this utility to grab a component or a wire number and slide it back and forth along the wire. You can grab a wire or a whole rung of circuitry and "scoot" it to a new position.

Everything stays connected. Scoot is great for tidying up your wiring diagram or for moving things around to clear up some room for a new component.

Click for an example

Wire Fan-In/Out

Use Wire Fan-In/Out to show source and destination markers on the individual wires of a cable and yet to show the wires coming together to form the cable.

It relies on layering to work. You can define a special layer or a set of layers for the wires going out of a Fan In/Out Source marker and the wires coming into a Destination marker.

Click for an example

Symbol Builder

This utility converts existing symbols or creates new, custom components as required during drawing creation.

Use this utility to build power supplies, filters, drives, controllers, and other custom devices by adding AutoCAD Electrical attributes to the symbol's geometry and converting text entities to AutoCAD Electrical attributes.

Click for an example


Workflow Automation using AutoCAD Electrical

Electrical Visual Dictionary
Moving from AutoCAD to AutoCAD Electrical
Manage a New Project
Moving from AutoCAD to AutoCAD Electrical >
Workflow Automation using AutoCAD Electrical
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Manage a New Project
  • Create a Schematic Wiring Diagram
  • Create a Panel Layout Drawing
  • Create a PLC Diagram
  • Terminal Strips
  • Generate Reports
  • Summary


Manage a New Project

Workflow Automation using AutoCAD Electrical
Workflow Automation using AutoCAD Electrical
Create a Project
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical >
Manage a New Project
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Create a Project
  • Activate a Project
  • Open and Close a Project
  • Configure Project Settings
  • Create a Drawing using the Project Manager
  • Add Drawings to the Project List
  • Open Drawings from the Project Manager
  • Configure Drawing Settings
  • Manipulate the Project Drawing List
  • Configure Drawing List Displays


Create a Project

Manage a New Project
Manage a New Project
About Project Manager: Page 1 of 6
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project >
Create a Project
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • About Project Manager: Page 1 of 6
  • Create a project: Page 2 of 6
  • Create a folder: Page 3 of 6
  • Project description: Page 4 of 6
  • Project properties: Page 5 of 6
  • New project: Page 6 of 6


About Project Manager: Page 1 of 6

Create a Project
Create a Project
Create a project: Page 2 of 6
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project > Create a Project >
About Project Manager: Page 1 of 6
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

  1. Project Manager
  2. Project Drawing List
  3. Project / Drawing Detail

Keep in mind that AutoCAD Electrical is a project based system. Interrelated drawings are listed in a project file with the .WDP extension.

In this section:

  • You learn how to use Project Manager to create and edit your new/existing project.
  • Each project file consists of a group of drawings. It includes the project description lines, project properties, drawing descriptions, and other information.
NoteYou can have as many projects as you need, but only one project can be active at a time.


Create a project: Page 2 of 6

About Project Manager: Page 1 of 6
Create a Project
Create a folder: Page 3 of 6
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project > Create a Project >
Create a project: Page 2 of 6
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the Project Manager to create a project.

  1. If Project Manager is not visible,

    Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.

  2. To create a project, click the New Project tool in Project Manager. You can also select New Project from the project drop-down menu or right-click in the project list pane and select New Project from the context menu.


Create a folder: Page 3 of 6

Create a project: Page 2 of 6
Create a Project
Project description: Page 4 of 6
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project > Create a Project >
Create a folder: Page 3 of 6
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

  3. Type ACEDEMO for the project definition file name in the Name field. Notice the OK-Properties and OK buttons enable when the project file name is defined.
  4. Click the Create Folder with Project Name check box to create a folder with the same name as the project.
  5. Click the Browse button to locate an existing project folder or define a new folder in the Location field.
  6. You can reuse an existing project setting file (.WDP) for the new project to match wire numbering, cross-referencing, and component tagging formats. For this example, no previous project setting is defined.

You can set up a new project in the Create New Project dialog box.

NoteIf the Location or Project Settings File field is blank, AutoCAD Electrical shows the path for projects defined in the AutoCAD Electrical environment file (WD.ENV).


Project description: Page 4 of 6

Create a folder: Page 3 of 6
Create a Project
Project properties: Page 5 of 6
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project > Create a Project >
Project description: Page 4 of 6
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

  7. Click the Descriptions button in the Create New Project dialog box.
  8. The Project Description dialog box appears. If you want to include any project information in your report, select the check box.
  9. Click OK.
NoteYou can customize the line descriptions by creating a file called projectname_wdtitle (.WDL) in the folder where you store the project (.WDP) files. Use any generic text editor like the Windows Accessories Notepad or WordPad program.

Click the image to see how it works.


Project properties: Page 5 of 6

Project description: Page 4 of 6
Create a Project
New project: Page 6 of 6
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project > Create a Project >
Project properties: Page 5 of 6
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

  10. Next, click the OK-Properties button to edit the project properties.
  11. You can edit the properties for project settings, components, wire numbers, cross-references, styles, and drawing format in the Project Properties dialog box.
  12. Click OK to apply all properties to the current project.
NoteGo to Help on Project Properties to learn the options and settings for each individual tab.


New project: Page 6 of 6

Project properties: Page 5 of 6
Create a Project
Activate a Project
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project > Create a Project >
New project: Page 6 of 6
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A new project ACEDEMO is created in Project Manager.

  13. Right-click on ACEDEMO project to see its settings, properties, and descriptions.


Activate a Project

New project: Page 6 of 6
Manage a New Project
Activate a project: Page 1 of 1
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project >
Activate a Project
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Activate a project: Page 1 of 1


Activate a project: Page 1 of 1

Activate a Project
Activate a Project
Open and Close a Project
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project > Activate a Project >
Activate a project: Page 1 of 1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In AutoCAD Electrical, you can have as many project files .WDP as required. However, only one project can be active each time you are working on your design.

  1. To activate a project, right-click the project name in Project Manager and select Activate.


Open and Close a Project

Activate a project: Page 1 of 1
Manage a New Project
Open and Close a project: Page 1 - 1
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project >
Open and Close a Project
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Open and Close a project: Page 1 - 1


Open and Close a project: Page 1 - 1

Open and Close a Project
Open and Close a Project
Configure Project Settings
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project > Open and Close a Project >
Open and Close a project: Page 1 - 1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

  1. To open an existing project, click the project drop-down arrow and select Open Project. In the Select Project File dialog box, browse to the project folder to select the .WDP file.
  2. To close a project, right-click the project name and select Close.


Configure Project Settings

Open and Close a project: Page 1 - 1
Manage a New Project
Configure project settings: Page 1 - 1
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project >
Configure Project Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Configure project settings: Page 1 - 1


Configure project settings: Page 1 - 1

Configure Project Settings
Configure Project Settings
Create a Drawing using the Project Manager
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project > Configure Project Settings >
Configure project settings: Page 1 - 1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can configure the settings for libraries, icon menu paths, and catalog lookup in the project settings tab. Also, you can configure the components, wire numbers, cross-references, styles, and drawing format for the project default settings in the Project Properties dialog box.

  1. In the Project Manager, right-click on the active project name and select Properties. Project Properties dialog box appears.


Create a Drawing using the Project Manager

Configure project settings: Page 1 - 1
Manage a New Project
Create a drawing: Page 1 - 3
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project >
Create a Drawing using the Project Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Create a drawing: Page 1 - 3
  • Add a new drawing to active project: Page 2 - 3
  • Edit a drawing properties: Page 3 - 3


Create a drawing: Page 1 - 3

Create a Drawing using the Project Manager
Create a Drawing using the Project Manager
Add a new drawing to active project: Page 2 - 3
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project > Create a Drawing using the Project Manager >
Create a drawing: Page 1 - 3
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The New Drawing tool in Project Manager does more than the QNew command. You can:

  • Select a template file (.DWT) for the new drawing.
  • Create a drawing file in the project folder location.
  • Add the drawing to the selected project.
  • Apply the project default setting to the drawing settings.
  • Map attribute values to the WD_M block (which holds the drawing's property settings).
  • Automatically update the title block based upon your attribute mapping criteria.
  • Open the required drawing quickly and make it current from the Project Manager.


Add a new drawing to active project: Page 2 - 3

Create a drawing: Page 1 - 3
Create a Drawing using the Project Manager
Edit a drawing properties: Page 3 - 3
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project > Create a Drawing using the Project Manager >
Add a new drawing to active project: Page 2 - 3
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This section shows you how to use the New Drawing tool in the Project Manager to create a drawing, which adds to the selected project.

  1. Activate the Project (ACEDEMO) you want to add a new drawing.
  2. Click the New Drawing tool to display the Create New Drawing dialog box.
  3. Enter the values as shown in the Drawing File list.

    Name: wiring_demo1

    Description1: Sample demo

  4. Select the ACAD_ELECTRICAL.dwt template for this example.
NoteSee the Help on drawing properties to learn the settings for each option in the dialog box.


Edit a drawing properties: Page 3 - 3

Add a new drawing to active project: Page 2 - 3
Create a Drawing using the Project Manager
Add Drawings to the Project List
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project > Create a Drawing using the Project Manager >
Edit a drawing properties: Page 3 - 3
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

  5. To edit the drawing properties, click the OK-Properties button to set up the format for component tags, wire numbers, cross-references, styles, and other drawing settings in this dialog box.
  6. Click OK. Notice the wiring_demo1 drawing appears in the ACEDEMO project.


Add Drawings to the Project List

Edit a drawing properties: Page 3 - 3
Manage a New Project
Add drawings to the project list: Page 1 - 1
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project >
Add Drawings to the Project List
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Add drawings to the project list: Page 1 - 1


Add drawings to the project list: Page 1 - 1

Add Drawings to the Project List
Add Drawings to the Project List
Open Drawings from the Project Manager
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project > Add Drawings to the Project List >
Add drawings to the project list: Page 1 - 1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Besides creating new drawings, you can add existing drawings in the project.

  1. Right-click the project name.
  2. Click Add Drawings from the context menu.
  3. Select drawing files to add and click Add.
NoteAutoCAD Electrical prompts you to decide whether you want to apply the Project Default Values to the Drawing Settings of this added drawing. Click Yes to apply the project default values to the newly added drawing's WD_M block definition. Click No if you want the new drawing to retain its existing settings.
NoteYou can also add the current/active drawing to the active project using Add Active Drawing from the context menu. Add Active Drawing option is unavailable if the active drawing exists in the project already.


Open Drawings from the Project Manager

Add drawings to the project list: Page 1 - 1
Manage a New Project
Open drawings from the Project Manager: Page 1 - 1
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project >
Open Drawings from the Project Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Open drawings from the Project Manager: Page 1 - 1


Open drawings from the Project Manager: Page 1 - 1

Open Drawings from the Project Manager
Open Drawings from the Project Manager
Configure Drawing Settings
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project > Open Drawings from the Project Manager >
Open drawings from the Project Manager: Page 1 - 1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To help you quickly find the correct drawing in a project, click the preview icon to see the thumbnail image of the drawing without opening it.


Configure Drawing Settings

Open drawings from the Project Manager: Page 1 - 1
Manage a New Project
Configure drawing settings: Page 1 - 1
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project >
Configure Drawing Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Configure drawing settings: Page 1 - 1


Configure drawing settings: Page 1 - 1

Configure Drawing Settings
Configure Drawing Settings
Manipulate the Project Drawing List
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project > Configure Drawing Settings >
Configure drawing settings: Page 1 - 1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Every individual drawing can have its own drawing settings for design purposes. You can set them to the project default values as well.

  1. In the Project Manager, right-click the drawing name, and then select Properties [image] Drawing Properties. Drawing Properties dialog box appears.
  2. Set the drawing properties for the drawing.


Manipulate the Project Drawing List

Configure drawing settings: Page 1 - 1
Manage a New Project
Manipulate the project drawing list: Page 1 - 1
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project >
Manipulate the Project Drawing List
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Manipulate the project drawing list: Page 1 - 1


Manipulate the project drawing list: Page 1 - 1

Manipulate the Project Drawing List
Manipulate the Project Drawing List
Configure Drawing List Displays
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project > Manipulate the Project Drawing List >
Manipulate the project drawing list: Page 1 - 1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Next, you can right-click on a drawing entry, and then click Open in the context menu. You can also double-click it to open a drawing from the Project Manager (or you can open the drawing using the normal AutoCAD File open command).

After you open a drawing, you can quickly navigate from one drawing to another in the project drawing list using the Previous Project Drawing and Next Project Drawing tools on the Project tab [image] Other Tools panel.

Click the image to see how it works.


Configure Drawing List Displays

Manipulate the project drawing list: Page 1 - 1
Manage a New Project
Drawing list displays -Part 1: Page 1 - 2
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project >
Configure Drawing List Displays
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Drawing list displays -Part 1: Page 1 - 2
  • Drawing list displays -Part 2: Page 2 - 2


Drawing list displays -Part 1: Page 1 - 2

Configure Drawing List Displays
Configure Drawing List Displays
Drawing list displays -Part 2: Page 2 - 2
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project > Configure Drawing List Displays >
Drawing list displays -Part 1: Page 1 - 2
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In Project Manager, you can configure the drawing list displays in the Projects list.

To show more drawing information in the Projects list, click the Drawing List Display Configuration tool.

The example in the illustration shows how the drawing list appears with file names and sheet numbers.


Drawing list displays -Part 2: Page 2 - 2

Drawing list displays -Part 1: Page 1 - 2
Configure Drawing List Displays
Create a Schematic Wiring Diagram
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Manage a New Project > Configure Drawing List Displays >
Drawing list displays -Part 2: Page 2 - 2
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To show all drawing information in the Projects list, move all display options to the Current Display Order list in the Drawing List Display Configuration dialog box.

The illustration shows the drawing file names and the related information.


Create a Schematic Wiring Diagram

Drawing list displays -Part 2: Page 2 - 2
Workflow Automation using AutoCAD Electrical
Create wires and ladders
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical >
Create a Schematic Wiring Diagram
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Create wires and ladders
  • Insert Library Symbols
  • Manage coils and contacts by using parent and child relationship
  • Automate Wire Numbering and Tagging Components
  • Create a 3-phase Circuit
  • Introduction to Point-to-point Wiring Diagram
  • Update Schematics from a Spreadsheet


Create wires and ladders

Create a Schematic Wiring Diagram
Create a Schematic Wiring Diagram
Introduction to wires and ladders: Page 1 - 5
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram >
Create wires and ladders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Introduction to wires and ladders: Page 1 - 5
  • Create ladders: Page 2 - 5
  • Trim wires: Page 3 - 5
  • Insert wires: Page 4 - 5
  • Revise ladder: Page 5 - 5


Introduction to wires and ladders: Page 1 - 5

Create wires and ladders
Create wires and ladders
Create ladders: Page 2 - 5
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Create wires and ladders >
Introduction to wires and ladders: Page 1 - 5
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This section shows you how to create wires and ladders for electrical schematic wiring diagram.

You learn how to:

  • Create ladders. Specify the number of rungs, spacing between rungs, ladder width and length, and so on, in the Insert New Ladder dialog box.
  • Create wire network. A wire network consists of one or more wires connected together. For example, a single wire network has the wire ties to the right-hand side of the push button with the left-side of the relay coil and runs down to the left-hand side of the red pilot light.


Create ladders: Page 2 - 5

Introduction to wires and ladders: Page 1 - 5
Create wires and ladders
Trim wires: Page 3 - 5
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Create wires and ladders >
Create ladders: Page 2 - 5
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Ladders, ladder rungs, and power buses are all wires.

  1. Begin a new drawing using acad.dwt template and accept the WD_M block for the drawing configuration settings.
  2. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Ladder drop-down [image] Insert Ladder. Enter AELADDER at the command prompt.
  3. In this example, we set the following parameters for the two ladders.

    For the first ladder:

    • width= 5
    • Rungs= 9
    • spacing= 1
    • 1st reference= 400
    • Draw Rungs= Yes

    For the second ladder:

    • width= 6
    • Rungs= 12
    • spacing= 0.75
    • 1st reference= 420
    • Draw Rungs= Yes


Trim wires: Page 3 - 5

Create ladders: Page 2 - 5
Create wires and ladders
Insert wires: Page 4 - 5
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Create wires and ladders >
Trim wires: Page 3 - 5
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

  4. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Trim Wire. Enter AETRIM at the command prompt.
  5. On the left-hand ladder, trim rungs 401 and 404.
  6. On the right-hand ladder, trim rungs 421, 428 and 430.


Insert wires: Page 4 - 5

Trim wires: Page 3 - 5
Create wires and ladders
Revise ladder: Page 5 - 5
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Create wires and ladders >
Insert wires: Page 4 - 5
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Before adding wires, turn off SNAP to aid in inserting wires as AutoCAD Electrical finds the closest position to connect wires.

  7. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wires drop-down [image] Wire. Enter AEWIRE at the command prompt.
  8. Insert a wire on the left-hand side of rung 400 that ends on the left ladder bus at rung 401. Insert a wire on the right-hand side that ends on the right ladder bus.
  9. Continue inserting wires as shown.

Click the image to see how it works.


Revise ladder: Page 5 - 5

Insert wires: Page 4 - 5
Create wires and ladders
Insert Library Symbols
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Create wires and ladders >
Revise ladder: Page 5 - 5
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To modify the line reference numbers along the side of ladders, use the Revise Ladder tool.

  10. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Ladder drop-down [image] Revise Ladder. Enter AEREVISELADDER at the command prompt.
  11. Change the rung count for the second ladder to 14 and click OK.

Notice the increasing line reference numbers.

NoteThe Revise Ladder tool does not change the existing ladder rung spacing and the number of rungs.


Insert Library Symbols

Revise ladder: Page 5 - 5
Create a Schematic Wiring Diagram
Insert a component: Page 1 - 3
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram >
Insert Library Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Insert a component: Page 1 - 3
  • Insert a push button: Page 2 - 3
  • Insert/edit component: Page 3 - 3


Insert a component: Page 1 - 3

Insert Library Symbols
Insert Library Symbols
Insert a push button: Page 2 - 3
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Insert Library Symbols >
Insert a component: Page 1 - 3
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In AutoCAD Electrical, you insert symbols using the Insert Component tool.

When inserting components, you can assign information such as manufacturer, part number, and descriptions as attributes on the component.

Before inserting a component, define the library symbols standard such as JIC, JIS, IEC, or GB standard for the active project.

  1. Right-click on the current project name, and then select Properties in the context menu.

    Project Properties dialog box displayed.

  2. Set to your required schematic libraries, icon menu paths, catalog lookup file preference and close the dialog box.

    You can click the Real time error checking check box to determine whether duplications of wire numbers or component tags occur in the project.

    For this example, all components are JIC standard.


Insert a push button: Page 2 - 3

Insert a component: Page 1 - 3
Insert Library Symbols
Insert/edit component: Page 3 - 3
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Insert Library Symbols >
Insert a push button: Page 2 - 3
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Insert a push button using the Insert Component tool.

  1. In the Insert Component dialog box, select the Push Buttons in the first row, first column.
  2. Then select the Mushroom Head N.C. in the JIC: Push Buttons list.
  3. Insert the push button close to the ladder rung so the wire breaks and reconnects automatically.


Insert/edit component: Page 3 - 3

Insert a push button: Page 2 - 3
Insert Library Symbols
Manage coils and contacts by using parent and child relationship
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Insert Library Symbols >
Insert/edit component: Page 3 - 3
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Insert/Edit Component dialog box appears.

AutoCAD Electrical automatically tagged the component as shown at the top left of dialog box.

  4. In the Insert/Edit Component dialog box, Description section, click Pick to collect information from the Start push button.
  5. Change Description Line 2 to STOP.
  6. In the Catalog Data section, click Lookup. In the Parts catalog dialog box, select 800T-D6B and click OK. The program creates the push button.

Click the image to see how it works.


Manage coils and contacts by using parent and child relationship

Insert/edit component: Page 3 - 3
Create a Schematic Wiring Diagram
Insert a motor starter contact: Page 1 - 2
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram >
Manage coils and contacts by using parent and child relationship
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Insert a motor starter contact: Page 1 - 2
  • Create a parent-child link: Page 2 - 2


Insert a motor starter contact: Page 1 - 2

Manage coils and contacts by using parent and child relationship
Manage coils and contacts by using parent and child relationship
Create a parent-child link: Page 2 - 2
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Manage coils and contacts by using parent and child relationship >
Insert a motor starter contact: Page 1 - 2
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In this section, you learn how to establish a parent-child relationship between the motor control and motor starter contact, linking the two components.

Insert a motor relay coil (parent) at the right end of the ladder, then insert the motor starter contact (child):

  1. Click the Insert Component tool to display the main symbol menu.
  2. Click Motor Control.
  3. Then click 2nd+ Starter Contact N.O.


Create a parent-child link: Page 2 - 2

Insert a motor starter contact: Page 1 - 2
Manage coils and contacts by using parent and child relationship
Automate Wire Numbering and Tagging Components
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Manage coils and contacts by using parent and child relationship >
Create a parent-child link: Page 2 - 2
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

  4. To create the parent-child link, in the Insert/Edit Child Component dialog box click Parent/Sibling and select the parent coil.

The parent's tag and description text are copied to the contact as shown in the Insert/Edit Child Component dialog box. The parent coil is annotated with the line reference number of the new child contact. Likewise, the child is annotated with the line reference location of the parent coil.

NoteTo view the component's attributes, you can explode the coil and contact.

Click the image to see how it works.


Automate Wire Numbering and Tagging Components

Create a parent-child link: Page 2 - 2
Create a Schematic Wiring Diagram
Insert wire numbers: Page 1 - 3
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram >
Automate Wire Numbering and Tagging Components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Insert wire numbers: Page 1 - 3
  • New wire numbers: Page 2 - 3
  • Retag/edit/find/replace component tags: Page 3 - 3


Insert wire numbers: Page 1 - 3

Automate Wire Numbering and Tagging Components
Automate Wire Numbering and Tagging Components
New wire numbers: Page 2 - 3
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Automate Wire Numbering and Tagging Components >
Insert wire numbers: Page 1 - 3
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In AutoCAD Electrical, you can insert wire numbering and retag components automatically on a single wiring diagram or project wide, sequencing wire numbering through the entire project drawing list.

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wire Numbers drop-down [image] Wire Numbers. Enter AEWIRENO at the command prompt.
  2. In Wire Tagging dialog box, select Tag/retag all and Cross-reference Signals to update cross-reference text on wire signal source and destination symbols.
  3. Click Drawing-wide to tag or retag wiring on the current drawing.
NoteIf you want to tag wires for multiple drawings in a project, click Project-wide.

Click the image to see how it works.


New wire numbers: Page 2 - 3

Insert wire numbers: Page 1 - 3
Automate Wire Numbering and Tagging Components
Retag/edit/find/replace component tags: Page 3 - 3
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Automate Wire Numbering and Tagging Components >
New wire numbers: Page 2 - 3
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Notice a new wire number is automatically added with the insertion of a component on the numbered wire.

Click the image to see how it works.


Retag/edit/find/replace component tags: Page 3 - 3

New wire numbers: Page 2 - 3
Automate Wire Numbering and Tagging Components
Create a 3-phase Circuit
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Automate Wire Numbering and Tagging Components >
Retag/edit/find/replace component tags: Page 3 - 3
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

  • You can set component tag formats in the Drawing Properties dialog box before inserting it into the drawing.
  • You can retag, edit, find, and replace the component tags in a single drawing or project-wide using the Retag tools.
  • To edit the component tags and attributes, right-click on the component and select Edit Component to make necessary changes.
NoteSee AutoCAD Electrical help on Drawing Properties for more information on component tag format and drawing settings.


Create a 3-phase Circuit

Retag/edit/find/replace component tags: Page 3 - 3
Create a Schematic Wiring Diagram
3-phase circuit: Page 1 - 9
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram >
Create a 3-phase Circuit
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • 3-phase circuit: Page 1 - 9
  • Insert 3-phase ladder: Page 2 - 9
  • Insert 3-phase horizontal wires: Page 3 - 9
  • Create a 3-pole thermal circuit breaker: Page 4 - 9
  • Scoot a circuit breaker: Page 5 - 9
  • Insert a 3-pole fused disconnect switch: Page 6 - 9
  • Insert a 3-phase motor control: Page 7 - 9
  • Copy circuit: Page 8 - 9
  • Reuse circuit: Page 9 - 9


3-phase circuit: Page 1 - 9

Create a 3-phase Circuit
Create a 3-phase Circuit
Insert 3-phase ladder: Page 2 - 9
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Create a 3-phase Circuit >
3-phase circuit: Page 1 - 9
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In this section, you learn how to create a simple 3-phase motor circuit.

You create the following components to complete the entire circuit:

  • 3-phase ladder
  • Multiple wire bus
  • 3-phase components
  • 3-phase motor


Insert 3-phase ladder: Page 2 - 9

3-phase circuit: Page 1 - 9
Create a 3-phase Circuit
Insert 3-phase horizontal wires: Page 3 - 9
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Create a 3-phase Circuit >
Insert 3-phase ladder: Page 2 - 9
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

First, you create a 3-phase vertical bus.

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Ladder drop-down [image] Insert Ladder. Enter AELADDER at the command prompt.
  2. In Insert New Ladder dialog box, Phase section, select 3 Phase.
  3. Enter the values:
    • Spacing: 0.50
    • Length: 12
    • 1st Reference: 100

    Click OK.

  4. Specify the start position of the first rung at the top left corner of the drawing.

Click the image to see how it works.


Insert 3-phase horizontal wires: Page 3 - 9

Insert 3-phase ladder: Page 2 - 9
Create a 3-phase Circuit
Create a 3-pole thermal circuit breaker: Page 4 - 9
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Create a 3-phase Circuit >
Insert 3-phase horizontal wires: Page 3 - 9
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Next, you create the 3-phase horizontal wire.

  5. Zoom in on rungs 100-107.
  6. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Multiple Bus. Enter AEMULTIBUS at the command prompt.
  7. In the Multi-Wire Bus dialog box, enter 0.5 for the horizontal spacing, select Another Bus (Multi-Wire), and set the number of wires to 3. Click OK.
  8. Specify the starting point on the first vertical bus at reference 101 and drag the wires to the right, and click to insert the wires.


Create a 3-pole thermal circuit breaker: Page 4 - 9

Insert 3-phase horizontal wires: Page 3 - 9
Create a 3-phase Circuit
Scoot a circuit breaker: Page 5 - 9
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Create a 3-phase Circuit >
Create a 3-pole thermal circuit breaker: Page 4 - 9
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Insert a 3-pole thermal circuit breaker as your circuit's disconnecting means.

  9. Click Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Enter AECOMPONENT at the command prompt.
  10. In the Insert Component dialog box, select Fuses/Circuit Breakers.
  11. In the Fuses/Circuit Breakers/Transformers list, select Circuit Breakers/Disconnects.
  12. In the Disconnecting Means list, select 3 Pole Thermal Circuit Breaker.
  13. Place the insertion point to the right of 3-phase bus along the rung 101.
  14. Click the Down button in the Build Up or Down dialog box.
  15. Click OK in the Insert/Edit Component dialog box to insert the 3-pole Thermal Circuit Breaker.


Scoot a circuit breaker: Page 5 - 9

Create a 3-pole thermal circuit breaker: Page 4 - 9
Create a 3-phase Circuit
Insert a 3-pole fused disconnect switch: Page 6 - 9
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Create a 3-phase Circuit >
Scoot a circuit breaker: Page 5 - 9
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical automatically draws smart dashed lines to connect the poles. If you scoot the wire or one pole of the breaker, the dashed line automatically reconnects.

See the animated illustration.

Click the image to see how it works.


Insert a 3-pole fused disconnect switch: Page 6 - 9

Scoot a circuit breaker: Page 5 - 9
Create a 3-phase Circuit
Insert a 3-phase motor control: Page 7 - 9
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Create a 3-phase Circuit >
Insert a 3-pole fused disconnect switch: Page 6 - 9
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Repeat the same insertion process for a 3-Pole Fused Disconnect Switch. It is on the same icon menu page as the thermal circuit breaker.


Insert a 3-phase motor control: Page 7 - 9

Insert a 3-pole fused disconnect switch: Page 6 - 9
Create a 3-phase Circuit
Copy circuit: Page 8 - 9
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Create a 3-phase Circuit >
Insert a 3-phase motor control: Page 7 - 9
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Now you are ready to insert a 3-phase motor symbol.

  1. Click Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Enter AECOMPONENT at the command prompt.
  2. Click the Motor Control icon on the Insert Component dialog box.
  3. Click the 3 Phase Motor icon in the JIC: Motor Control list.
  4. Insert onto the center phase of the 3-phase bus.

Notice the 3-phase wires are angled and trimmed to connect to the motor symbol automatically.


Copy circuit: Page 8 - 9

Insert a 3-phase motor control: Page 7 - 9
Create a 3-phase Circuit
Reuse circuit: Page 9 - 9
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Create a 3-phase Circuit >
Copy circuit: Page 8 - 9
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can copy the existing circuit and then insert it onto the vertical bus using the Copy Circuit tool.

  1. Click Schematic tab [image] Edit Components panel [image] Circuit drop-down [image] Copy Circuit. Enter AECOPYCIRCUIT at the command prompt.
NoteMake sure the SNAP is ON for accurate location.

Notice AutoCAD Electrical updated the component tags to match the new location.

Click the image to see how it works.


Reuse circuit: Page 9 - 9

Copy circuit: Page 8 - 9
Create a 3-phase Circuit
Introduction to Point-to-point Wiring Diagram
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Create a 3-phase Circuit >
Reuse circuit: Page 9 - 9
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To reuse part of or the whole circuit from one drawing to another, you can use the Save Circuit to Icon Menu command.

Click Schematic tab [image] Edit Components panel [image] Circuit drop-down [image] Save Circuit to Icon Menu. Enter AESAVECIRCUIT at the command prompt.

From the animated illustration as shown, you then proceed to another circuit diagram in the project.

  1. Click Schematic tab [image] Insert Components panel [image] Circuit drop-down [image] Insert Saved Circuit. Enter AESAVEDCIRCUIT at the command prompt.

Click the image to see how it works.


Introduction to Point-to-point Wiring Diagram

Reuse circuit: Page 9 - 9
Create a Schematic Wiring Diagram
Introduction to point-to-point wiring diagram
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram >
Introduction to Point-to-point Wiring Diagram
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Introduction to point-to-point wiring diagram
  • Create parametric connectors
  • Create point-to-point single wires
  • Insert splice
  • Create point-to-point angled wire
  • Avoid collision on single point-to-point wiring
  • Multiple wire enhancement
  • Edit connectors
  • Edit wires


Introduction to Point-to-point Wiring Diagram
Introduction to Point-to-point Wiring Diagram
Create parametric connectors
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Introduction to Point-to-point Wiring Diagram >
Introduction to point-to-point wiring diagram
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Point-to-point schematic wiring diagrams, compared to schematic "ladder" diagrams, are a closer representation to how a machine or control system is actually "physically" wired.

You can create and edit point-to-point diagrams containing connectors and other devices, and then easily wire them up using the point-to-point wiring tools.

To work on electronics and harness wiring designs, the point-to-point wiring tools help to complete your design easier and quicker.


Create parametric connectors

Introduction to point-to-point wiring diagram
Introduction to Point-to-point Wiring Diagram
Create point-to-point single wires
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Introduction to Point-to-point Wiring Diagram >
Create parametric connectors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

For this exercise, create a point-to-point wiring diagram consisting of several inter-wired connectors. The connectors are created parametrically, on-the-fly, in the active drawing using a small set of simple library symbols.

  1. Begin a new drawing based on the template ACAD_ELECTRICAL.dwt.
  2. Click Schematic tab [image] Insert Components panel [image] Insert Connector drop-down [image] Insert Connector. Enter AECONNECTOR at the command prompt.
  3. Set the following parameters for each connector in the Insert Connector dialog box. Expand the detail list to set pins show at both sides of the plug and receptacle.
  4. Place the connectors one at a time as illustrated. When placing the connectors, you can flip the connector using the Tab key. To toggle the orientation of the connector between horizontal and vertical, use the V key.

Click the image to see how it works.


Create point-to-point single wires

Create parametric connectors
Introduction to Point-to-point Wiring Diagram
Insert splice
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Introduction to Point-to-point Wiring Diagram >
Create point-to-point single wires
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You create a single wire from point-to-point using the Insert Wire tool.

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wires drop-down [image] Wire. Enter AEWIRE at the command prompt.
  2. Select the first wire connection point by picking on the edge of the connector close to the pin number.
  3. Select the second wire connection point by picking on the edge of the connector close to the pin number at the next connector.

    Notice AutoCAD Electrical displays the green Xs at wire connection points as you move your cursor over the second connector.

    AutoCAD Electrical creates the wire connecting both wire connection points.

NoteIt is not necessary to exit the Insert Wire command to create the next wire.

Click the image to see how it works.


Insert splice

Create point-to-point single wires
Introduction to Point-to-point Wiring Diagram
Create point-to-point angled wire
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Introduction to Point-to-point Wiring Diagram >
Insert splice
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The splice symbol allows two or more wires to connect.

  1. Click Schematic tab [image] Insert Components panel [image] Insert Connector drop-down [image] Insert Splice. Enter AESPLICE at the command prompt.
  2. Click the splice icon in the Splice Symbols dialog box.
  3. Place the splice at the end of the wire. Make sure it aligns with the wire. If not, reinsert the splice.
  4. Specify SP1 for the Component Tag in the Insert / Edit Component dialog box. Click OK.


Create point-to-point angled wire

Insert splice
Introduction to Point-to-point Wiring Diagram
Avoid collision on single point-to-point wiring
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Introduction to Point-to-point Wiring Diagram >
Create point-to-point angled wire
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Also, you can use the Insert Wire tool to create an angled wire that is occupied with one or more wires already. See the illustration.


Avoid collision on single point-to-point wiring

Create point-to-point angled wire
Introduction to Point-to-point Wiring Diagram
Multiple wire enhancement
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Introduction to Point-to-point Wiring Diagram >
Avoid collision on single point-to-point wiring
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When creating wire from one point to another point, the Insert Wire tool attempts to route the wire in such a way as to avoid existing wire connections (wire ends and wire turns) and existing components that lie in the wire's path. It bends the wire automatically to the angle at 90 degrees.

Click the image to see how it works.


Multiple wire enhancement

Avoid collision on single point-to-point wiring
Introduction to Point-to-point Wiring Diagram
Edit connectors
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Introduction to Point-to-point Wiring Diagram >
Multiple wire enhancement
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can create multiple wires or 3-phase wires from an existing component such as connector using the Multiple Wire Bus tool.

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Multiple Bus. Enter AEMULTIBUS at the command prompt.
  2. Select Component (Multiple Wires) option in the Multiple Wire Bus dialog box. Click OK.
  3. Use crossing window to select the wire connection points.
  4. Drag the wires close to the first wire connection point of the destination connector. Notice how the command automatically adjusts the distance between the multiple wires to align with the destination pins.

Click the image to see how it works.


Edit connectors

Multiple wire enhancement
Introduction to Point-to-point Wiring Diagram
Edit wires
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Introduction to Point-to-point Wiring Diagram >
Edit connectors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can use the editing tools such as Scoot, Copy Component, Delete Component, Align, Edit Component, and Edit Attribute to modify the point-to-point wiring diagram. This slideshow demonstrates:

  1. Using the Scoot tool to shift the connector to a new location. Notice the wires move along with the connector.
  2. Using the Align tool to align the connectors.
  3. Right-click the connector to edit its component tag.
NoteFrom Schematic tab [image] Edit Components panel [image] Connector drop-down, you can find other editing tools for modifying the connectors.

Click the image to see how it works.


Edit wires

Edit connectors
Introduction to Point-to-point Wiring Diagram
Update Schematics from a Spreadsheet
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Introduction to Point-to-point Wiring Diagram >
Edit wires
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can edit the wires easily with a group of editing tools for wires. This slideshow demonstrates:

  • Using the Scoot tool to reposition the wire. Notice the wire and pin move together and stay connected.
  • Using the Bend Wire tool to bend the wire at 90 degree.
  • Using the Create/Edit Wire Type tool to change the wire's line color.

Click the image to see how it works.


Update Schematics from a Spreadsheet

Edit wires
Create a Schematic Wiring Diagram
Introduction to update schematic from spreadsheet: Page 1 - 3
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram >
Update Schematics from a Spreadsheet
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Introduction to update schematic from spreadsheet: Page 1 - 3
  • Extract schematic data: Page 2 - 3
  • Update schematic from saved spreadsheet: Page 3 - 3


Introduction to update schematic from spreadsheet: Page 1 - 3

Update Schematics from a Spreadsheet
Update Schematics from a Spreadsheet
Extract schematic data: Page 2 - 3
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Update Schematics from a Spreadsheet >
Introduction to update schematic from spreadsheet: Page 1 - 3
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To do a drawing-wide or project-wide set of changes to component tags, descriptions, catalog assignments, wire numbers, or PLC I/O descriptions, you can edit an Excel (.XLS) spreadsheet and then have the edited spreadsheet updates the drawings.


Extract schematic data: Page 2 - 3

Introduction to update schematic from spreadsheet: Page 1 - 3
Update Schematics from a Spreadsheet
Update schematic from saved spreadsheet: Page 3 - 3
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Update Schematics from a Spreadsheet >
Extract schematic data: Page 2 - 3
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You may first extract the schematic data from your existing drawing to spreadsheet (.XLS) format.

  1. Open your project and a schematic drawing.
  2. Click Import/Export Data tab [image] Export panel [image] To Spreadsheet. Enter AEEXPORT2SS at the command prompt.
  3. To extract the component datasets, in the Export to Spreadsheet dialog box, select Component, and click OK.
  4. To extract the wire numbers datasets, in the Export to Spreadsheet dialog box, select Wire numbers, and click OK.
  5. Select Excel file format (.XLS) to export the data to a spreadsheet, and click OK.


Update schematic from saved spreadsheet: Page 3 - 3

Extract schematic data: Page 2 - 3
Update Schematics from a Spreadsheet
Create a Panel Layout Drawing
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Schematic Wiring Diagram > Update Schematics from a Spreadsheet >
Update schematic from saved spreadsheet: Page 3 - 3
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can now change the saved spreadsheet in Microsoft Excel. For example, change the description line 2 (DESC2) to STOP NO. 1.

Then use the edited spreadsheet to update the drawing.

  1. Click Import/Export Data tab [image] Import panel [image] From Spreadsheet. Enter AEIMPORTSS at the command prompt.
  2. Select the edited spreadsheet (.XLS).
  3. Click Active drawing on the Update Drawings per Spreadsheet Data dialog box.

    Notice the component tags update accordingly.

NoteYou can also retag components by clicking Schematic tab [image] Edit Components panel [image] Retag Components drop-down [image] Retag Components. entering AERETAG at the command prompt.

Click the image to see how it works.


Create a Panel Layout Drawing

Update schematic from saved spreadsheet: Page 3 - 3
Workflow Automation using AutoCAD Electrical
Link between schematic components and panel layouts
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical >
Create a Panel Layout Drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Link between schematic components and panel layouts
  • Setting up Panel Configurations
  • Create a Panel Layout from a Schematic List
  • Insert Schematic Components from a Panel List
  • Create a Panel Footprint
  • Insert a Panel Footprint
  • Insert Panel Balloons
  • Create a Panel Report


Link between schematic components and panel layouts

Create a Panel Layout Drawing
Create a Panel Layout Drawing
Link between schematic components and panel layouts: Page 1 - 1
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing >
Link between schematic components and panel layouts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Link between schematic components and panel layouts: Page 1 - 1


Link between schematic components and panel layouts: Page 1 - 1

Link between schematic components and panel layouts
Link between schematic components and panel layouts
Setting up Panel Configurations
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing > Link between schematic components and panel layouts >
Link between schematic components and panel layouts: Page 1 - 1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical creates the link between Schematic and Panel device representations to allow bi-directional updating between schematic components and the associated footprint blocks. It facilitates design changes and prevents any missed devices. If you change any key data on one drawing, you get an alert for permission to update the other.

You can insert footprints from a schematic list. You can also insert schematic components from a panel list.

  • Click Panel tab [image] Insert Component Footprints panel [image] Icon Menu drop-down [image] Schematic List. Enter AEFOOTPRINTSCH at the command prompt.
  • Click Schematic tab [image] Insert Components panel [image] Icon Menu drop-down [image] Panel List. Enter AECOMPONENTPNL at the command prompt.


Setting up Panel Configurations

Link between schematic components and panel layouts: Page 1 - 1
Create a Panel Layout Drawing
Setting up panel configurations: Page 1 - 1
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing >
Setting up Panel Configurations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Setting up panel configurations: Page 1 - 1


Setting up panel configurations: Page 1 - 1

Setting up Panel Configurations
Setting up Panel Configurations
Create a Panel Layout from a Schematic List
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing > Setting up Panel Configurations >
Setting up panel configurations: Page 1 - 1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Configure the settings for panel layout design.

To display the Panel drawing configuration and defaults dialog box click Panel tab [image] Other Tools panel [image] Panel Configuration drop-down [image] Configuration. enter AEPANELCONFIG at the command prompt.

You can define the starting item number, balloon configuration, footprint layers, footprint scale, and other settings for panel layouts in this dialog box.

NoteAll settings defined in the Panel configuration and defaults dialog box are stored in the invisible block (wd_pnlm.dwg).


Create a Panel Layout from a Schematic List

Setting up panel configurations: Page 1 - 1
Create a Panel Layout Drawing
Insert footprints: Page 1 - 4
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing >
Create a Panel Layout from a Schematic List
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Insert footprints: Page 1 - 4
  • Extract a schematic list: Page 2 - 4
  • Insert multiple footprints: Page 3 - 4
  • Insert footprints from a schematic list: Page 4 - 4


Insert footprints: Page 1 - 4

Create a Panel Layout from a Schematic List
Create a Panel Layout from a Schematic List
Extract a schematic list: Page 2 - 4
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing > Create a Panel Layout from a Schematic List >
Insert footprints: Page 1 - 4
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This section shows how to insert footprints from a schematic component list for the active drawing. See the example on the panel layout drawing as illustrated.

  1. Click Panel tab [image] Insert Component Footprints panel [image] Icon Menu drop-down [image] Schematic List. Enter AEFOOTPRINTSCH at the command prompt.


Extract a schematic list: Page 2 - 4

Insert footprints: Page 1 - 4
Create a Panel Layout from a Schematic List
Insert multiple footprints: Page 3 - 4
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing > Create a Panel Layout from a Schematic List >
Extract a schematic list: Page 2 - 4
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Schematic Components List [image] Panel Layout Insert dialog box appears.

  2. Select Active drawing to extract a component list for the current drawing.

You can alternatively select Project to extract a component list for all drawings in the current project.


Insert multiple footprints: Page 3 - 4

Extract a schematic list: Page 2 - 4
Create a Panel Layout from a Schematic List
Insert footprints from a schematic list: Page 4 - 4
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing > Create a Panel Layout from a Schematic List >
Insert multiple footprints: Page 3 - 4
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Schematic Components (active drawing) dialog box appears. You can insert a footprint individually or insert multiple footprints at one time.

  3. Use the CTRL key for multiple selection in the Schematic Components (active drawing) dialog box.
  4. Click Insert.
NoteAn "x" next to the components in Schematic Components dialog box, indicates that the footprint exists in the drawing already. An "o" next to the components in Schematic Components dialog box, indicates that a panel component with a matching component tag was found, but the catalog information does not match.


Insert footprints from a schematic list: Page 4 - 4

Insert multiple footprints: Page 3 - 4
Create a Panel Layout from a Schematic List
Insert Schematic Components from a Panel List
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing > Create a Panel Layout from a Schematic List >
Insert footprints from a schematic list: Page 4 - 4
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

  5. Select Use Uniform Spacing and specify the Y-distance (for example, -3.00) for the spacing.
  6. Select Suppress edit dialog box and prompts.
  7. Check the insert order for the footprints. You can change the insertion order of the footprints by clicking Move Up and Move Down.
  8. Click OK and locate the footprints on the panel.
  9. Click Close on the Schematic Components (active drawing) dialog box. Notice the program inserts the footprints on the panel.

Click the image to see how it works.


Insert Schematic Components from a Panel List

Insert footprints from a schematic list: Page 4 - 4
Create a Panel Layout Drawing
Insert component (panel list): Page 1 - 5
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing >
Insert Schematic Components from a Panel List
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Insert component (panel list): Page 1 - 5
  • Select all drawings to process from a panel list: Page 2 - 5
  • Select a panel footprint reference: Page 3 - 5
  • Select a symbol: Page 4 - 5
  • Schematic component from a panel list: Page 5 - 5


Insert component (panel list): Page 1 - 5

Insert Schematic Components from a Panel List
Insert Schematic Components from a Panel List
Select all drawings to process from a panel list: Page 2 - 5
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing > Insert Schematic Components from a Panel List >
Insert component (panel list): Page 1 - 5
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Likewise, you can insert a schematic component from a panel component list.

  1. Pick a project and open a schematic wiring diagram.
  2. Click Schematic tab [image] Insert Components panel [image] Icon Menu drop-down [image] Panel List. Enter AECOMPONENTPNL at the command prompt.

Click the image to see how it works.


Select all drawings to process from a panel list: Page 2 - 5

Insert component (panel list): Page 1 - 5
Insert Schematic Components from a Panel List
Select a panel footprint reference: Page 3 - 5
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing > Insert Schematic Components from a Panel List >
Select all drawings to process from a panel list: Page 2 - 5
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

  3. In the Panel Layout List [image] Schematic Components Insert dialog box, select Project to extract component lists for all drawings in the current project, and then click OK.
  4. In the Select Drawings to Process dialog box, click Do All to process all drawings in the project.
  5. Click OK.

Click the image to see how it works.


Select a panel footprint reference: Page 3 - 5

Select all drawings to process from a panel list: Page 2 - 5
Insert Schematic Components from a Panel List
Select a symbol: Page 4 - 5
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing > Insert Schematic Components from a Panel List >
Select a panel footprint reference: Page 3 - 5
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

All panel-related information such as component and device tag name, descriptions, installation, and location codes from the project-wide panel layout drawings are displayed in Panel Components dialog box.

  6. In the Panel Components dialog box, click Mark Existing to display the existing components.
  7. Select a panel footprint reference to insert on schematic, and click Insert.


Select a symbol: Page 4 - 5

Select a panel footprint reference: Page 3 - 5
Insert Schematic Components from a Panel List
Schematic component from a panel list: Page 5 - 5
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing > Insert Schematic Components from a Panel List >
Select a symbol: Page 4 - 5
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical supplies a starter Schematic file called schematic_lookup.mdb in Access (MDB) file format.

The schematic lookup file maps catalog information from the panel footprints list to schematic components. You can expand and modify these tables to meet your specific schematic component needs. The Insert dialog box shows that no mapping exists in the Schematic_Lookup.mdb file for this part.

  8. Click Icon Menu to select a symbol.
NoteClick Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] Schematic Database File Editor [image] Enter AESCHEMATICDB at the command prompt to view the Schematic_Lookup.mdb file.


Schematic component from a panel list: Page 5 - 5

Select a symbol: Page 4 - 5
Insert Schematic Components from a Panel List
Create a Panel Footprint
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing > Insert Schematic Components from a Panel List >
Schematic component from a panel list: Page 5 - 5
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

  9. Click the Insert Component tool, select Selector Switches, and then select 2 Position Maintain, N.O. to insert the schematic symbol in the wiring diagram.
  10. When prompted to update the related drawing, click OK.

It quickly opens and updates the related panel layout and returns back to the current drawing. The program inserts a schematic symbol from the panel list.

Click the image to see how it works.


Create a Panel Footprint

Schematic component from a panel list: Page 5 - 5
Create a Panel Layout Drawing
Create a panel footprint: Page 1 - 1
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing >
Create a Panel Footprint
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Create a panel footprint: Page 1 - 1


Create a panel footprint: Page 1 - 1

Create a Panel Footprint
Create a Panel Footprint
Insert a Panel Footprint
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing > Create a Panel Footprint >
Create a panel footprint: Page 1 - 1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can create the panel footprint the same way you create a library symbol in AutoCAD by using the Symbol Builder tool in AutoCAD Electrical.

  1. Create a rectangle for a new panel footprint.
  2. Click Schematic tab [image] Other Tools panel [image] Symbol Builder drop-down [image] Symbol Builder. Enter AESYMBUILDER at the command prompt.

    The Select Symbol/Objects dialog box opens.

  3. Use the default symbol name <Unnamed> to create a symbol from scratch.
  4. Use the existing attribute template, jic125.
  5. Select the symbol type, Panel Footprint on the symbol drop-down list.
  6. Click the Select Objects button in the Objects list, and then select the rectangle on screen.
  7. Press ENTER. Notice the rectangle displays in the Preview list.
  8. Click OK. Notice the Block Editor environment displays on screen.
  9. Enter the value CR407 for the attribute tag P_Tag1 in the Symbol Builder Attribute Editor.
  10. Enter the description SAFETY for the tag DESC1.
  11. Enter the description RELAY NO. 1 for the tag DESC2.
  12. Hold the Ctrl key, and select the attribute tags, P_Tag1, DESC1 and DESC2 and place on the rectangle.
  13. Close Block Editor. The Save Symbol dialog box appears.
  14. Click Wblock to save the footprint to a drawing file for reuse.
  15. Click OK.
  16. Insert an instance of the block on the current drawing.


Insert a Panel Footprint

Create a panel footprint: Page 1 - 1
Create a Panel Layout Drawing
Insert a panel footprint: Page 1 - 1
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing >
Insert a Panel Footprint
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Insert a panel footprint: Page 1 - 1


Insert a panel footprint: Page 1 - 1

Insert a Panel Footprint
Insert a Panel Footprint
Insert Panel Balloons
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing > Insert a Panel Footprint >
Insert a panel footprint: Page 1 - 1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Next, you include the custom footprint in the footprint lookup databases using the Footprint Database File Editor tool.

  1. Click Panel tab [image] Other Tools panel [image] [image] [image] Footprint Database File Editor. Enter AEFOOTPRINTDB at the command prompt.
  2. You click the Edit Existing Table button to add this footprint to an existing table. (For new tables, click the Create New Table button).
  3. Select the Manufacturer AB from Table Edit dialog box.
  4. Click the Add New button from the Footprint lookup dialog box.
  5. Enter the catalog number, assembly code, and the drawing filename in the Add Footprint Record dialog box.
  6. Click OK. The program includes the footprint in the Footprint Lookup catalog.

You can now reuse and insert the saved panel footprint into a panel layout drawing.

  1. Click Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Schematic List. Enter AEFOOTPRINTSCH at the command prompt.
  2. Search for the saved footprint in the current project.
  3. Insert the footprint in the empty space as illustrated.

Click the image to see how it works.


Insert Panel Balloons

Insert a panel footprint: Page 1 - 1
Create a Panel Layout Drawing
Insert panel balloons: Page 1 - 2
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing >
Insert Panel Balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Insert panel balloons: Page 1 - 2
  • Insert panel balloons: Page 2 - 2


Insert panel balloons: Page 1 - 2

Insert Panel Balloons
Insert Panel Balloons
Insert panel balloons: Page 2 - 2
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing > Insert Panel Balloons >
Insert panel balloons: Page 1 - 2
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In this section, you learn how to:

  • Add balloons to the footprints and nameplates.


Insert panel balloons: Page 2 - 2

Insert panel balloons: Page 1 - 2
Insert Panel Balloons
Create a Panel Report
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing > Insert Panel Balloons >
Insert panel balloons: Page 2 - 2
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

  1. Click Panel tab [image] Insert Component Footprints panel [image] Balloon. Enter AEBALLOON at the command prompt.
  2. Click the upper right of the footprint for the leader start point and a second point to the right of the footprint for the leader endpoint.
  3. Press ENTER to insert the balloon.

If an item number is not assigned to the footprint, the Need Item number assignment dialog box appears.

  • Select Drawing [image] List in Item number list to check all item numbers in use.
  • Click Next to use the next item number or type an item number in the edit box.


Create a Panel Report

Insert panel balloons: Page 2 - 2
Create a Panel Layout Drawing
Panel report: Page 1 - 3
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing >
Create a Panel Report
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Panel report: Page 1 - 3
  • Report generator: Page 2 - 3
  • Insert panel report: Page 3 - 3


Panel report: Page 1 - 3

Create a Panel Report
Create a Panel Report
Report generator: Page 2 - 3
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing > Create a Panel Report >
Panel report: Page 1 - 3
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In this section, you learn how to:

  • Extract a panel bill of materials report and place the table in the panel layout drawing.

You create a panel report for the panel layout using the Panel Reports tool.

  1. Click Reports tab [image] Panel panel [image] Reports. Enter AEPANELREPORT at the command prompt.
  2. Select Bill of Material from the Report Name list.
  3. Select Active drawing to generate the report for the current drawing. Click OK.


Report generator: Page 2 - 3

Panel report: Page 1 - 3
Create a Panel Report
Insert panel report: Page 3 - 3
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing > Create a Panel Report >
Report generator: Page 2 - 3
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

  4. In the Report Generator dialog box, click the Put on Drawing button to place the report on the current drawing.


Insert panel report: Page 3 - 3

Report generator: Page 2 - 3
Create a Panel Report
Create a PLC Diagram
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a Panel Layout Drawing > Create a Panel Report >
Insert panel report: Page 3 - 3
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

  5. Click OK to accept the default table settings if you do not want to make changes on the Table Generation Setup dialog box.
  6. Place the panel report on the drawing.
  7. Close the Report Generator dialog box.

Click the image to see how it works.


Create a PLC Diagram

Insert panel report: Page 3 - 3
Workflow Automation using AutoCAD Electrical
Insert a parametric PLC module
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical >
Create a PLC Diagram
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Insert a parametric PLC module
  • Create a PLC Module
  • Add a PLC Address-based Component
  • Use a Spreadsheet to Drive the Creation of PLC I/O Drawings


Insert a parametric PLC module

Create a PLC Diagram
Create a PLC Diagram
Parametric PLC module: Page 1 - 4
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a PLC Diagram >
Insert a parametric PLC module
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Parametric PLC module: Page 1 - 4
  • Insert PLC (Parametric) - Part 1: Page 2 - 4
  • Insert PLC (Parametric) - Part 2: Page 3 - 4
  • Insert PLC (Parametric) - Part 3: Page 4 - 4


Parametric PLC module: Page 1 - 4

Insert a parametric PLC module
Insert a parametric PLC module
Insert PLC (Parametric) - Part 1: Page 2 - 4
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a PLC Diagram > Insert a parametric PLC module >
Parametric PLC module: Page 1 - 4
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical does drafting of I/O modules and their hard-wired interconnection with the real world. It can generate PLC I/O modules through a parametric generation technique driven by an ASCII data file and using just a handful of component parts.

NoteAutoCAD Electrical does not deal with the internal logic programming of PLCs.


Insert PLC (Parametric) - Part 1: Page 2 - 4

Parametric PLC module: Page 1 - 4
Insert a parametric PLC module
Insert PLC (Parametric) - Part 2: Page 3 - 4
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a PLC Diagram > Insert a parametric PLC module >
Insert PLC (Parametric) - Part 1: Page 2 - 4
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This section demonstrates how to insert a parametric PLC module.

  1. Open an existing schematic diagram.
  2. Click Schematic tab [image] Insert Components panel [image] Insert PLC drop-down [image] Insert PLC (Parametric). Enter AEPLCP at the command prompt.
  3. In the PLC Parametric Selection dialog box, select the required PLC manufacturer and modules. For example, Manufacturer: Allen Bradley, Series: 1746; Type: Discrete Input; Description: 8-point input. Click OK.


Insert PLC (Parametric) - Part 2: Page 3 - 4

Insert PLC (Parametric) - Part 1: Page 2 - 4
Insert a parametric PLC module
Insert PLC (Parametric) - Part 3: Page 4 - 4
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a PLC Diagram > Insert a parametric PLC module >
Insert PLC (Parametric) - Part 2: Page 3 - 4
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

  4. When prompted for an insertion point, pick a point on the wire near the right-hand bus as shown.
  5. Enter 0.75 for the spacing in Module Layout dialog box. Click OK.
  6. Enter 01 for the rack number and 4 for the slot number in I/O Point dialog box.
  7. Enter 01400 in the Beginning address field for I/O Address dialog box for this example. Click OK.


Insert PLC (Parametric) - Part 3: Page 4 - 4

Insert PLC (Parametric) - Part 2: Page 3 - 4
Insert a parametric PLC module
Create a PLC Module
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a PLC Diagram > Insert a parametric PLC module >
Insert PLC (Parametric) - Part 3: Page 4 - 4
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Notice AutoCAD Electrical parametrically generates the module and annotates it with the incremented address numbers. It breaks and reconnects the underlying wires.


Create a PLC Module

Insert PLC (Parametric) - Part 3: Page 4 - 4
Create a PLC Diagram
PLC database file editor: Page 1 - 7
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a PLC Diagram >
Create a PLC Module
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • PLC database file editor: Page 1 - 7
  • New module: Page 2 - 7
  • Prompts at Module Insertion time: Page 3 - 7
  • Terminal types: Page 4 - 7
  • Terminal information: Page 5 - 7
  • Edit terminals - Part 1: Page 6 - 7
  • Edit terminals - Part 2: Page 7 - 7


PLC database file editor: Page 1 - 7

Create a PLC Module
Create a PLC Module
New module: Page 2 - 7
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a PLC Diagram > Create a PLC Module >
PLC database file editor: Page 1 - 7
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can create a PLC module using the PLC Database File Editor tool. The new PLC module is included in the ACE_PLC.mdb data file with the existing modules.

When you define a new PLC module, you first define the module specifications, and then the terminal sequence.

  1. Click Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] PLC Database File Editor. Enter AEPLCDB at the command prompt.


New module: Page 2 - 7

PLC database file editor: Page 1 - 7
Create a PLC Module
Prompts at Module Insertion time: Page 3 - 7
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a PLC Diagram > Create a PLC Module >
New module: Page 2 - 7
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can create and add a new PLC module by clicking New Module in PLC Database File Editor dialog box.

  2. Click the New Module button.
  3. Select Allen-Bradley for Manufacturer field.
  4. Select 1746 as the series.
  5. Select Discrete Input as the series type.
  6. Enter 123-456-7A as the code.
  7. Enter 8-POINT INPUT as the description.
  8. Enter DI as the module type.
  9. Select Prompt as the base addressing.
  10. Enter 120V AC/DC as the rating.
  11. Enter 11 as the number of terminals.
  12. Enter 8 as the number of addressable points. Click OK.


Prompts at Module Insertion time: Page 3 - 7

New module: Page 2 - 7
Create a PLC Module
Terminal types: Page 4 - 7
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a PLC Diagram > Create a PLC Module >
Prompts at Module Insertion time: Page 3 - 7
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

  13. In the New Module dialog box, click Module Prompts.
  14. Select %%1 under Prompt Number list.
  15. Enter Rack Number in the New Prompt text field.
  16. Click Change to accept the new prompt entry.
  17. Repeat step 12-14 for %%2 and enter Slot Number under Prompt Text. Click OK.

The new module is created and ready for terminals to be defined.


Terminal types: Page 4 - 7

Prompts at Module Insertion time: Page 3 - 7
Create a PLC Module
Terminal information: Page 5 - 7
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a PLC Diagram > Create a PLC Module >
Terminal types: Page 4 - 7
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Now, you select the terminal types for each terminal on the new PLC card that you are creating.

  18. Right-click row 1 in the Terminal Type column, and select Edit Terminal.


Terminal information: Page 5 - 7

Terminal types: Page 4 - 7
Create a PLC Module
Edit terminals - Part 1: Page 6 - 7
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a PLC Diagram > Create a PLC Module >
Terminal information: Page 5 - 7
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

  19. Select Top Input from the Category list in the Select Terminal Information dialog box.
  20. Click Module Info Input I/O Point Wire Left under Types for Category Top Input.
  21. Click OK to return to the PLC Database file Editor dialog box.


Edit terminals - Part 1: Page 6 - 7

Terminal information: Page 5 - 7
Create a PLC Module
Edit terminals - Part 2: Page 7 - 7
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a PLC Diagram > Create a PLC Module >
Edit terminals - Part 1: Page 6 - 7
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

  22. Click the drop-down arrow at row 1 in the Show column and select When Excluding Unused.
  23. Keep the defaults for the Optional Re-prompt and Break After columns.


Edit terminals - Part 2: Page 7 - 7

Edit terminals - Part 1: Page 6 - 7
Create a PLC Module
Add a PLC Address-based Component
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a PLC Diagram > Create a PLC Module >
Edit terminals - Part 2: Page 7 - 7
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

  24. Repeat the steps 17-22 to edit terminal 2-11.

    For Terminal row 2:

    Terminal Type: Terminal Point Wire Left

    Show: When Including Unused

    For Terminal row 3:

    Terminal Type: Input I/O Point Wire Left

    Show: When Including Unused

    For Terminal row 4-10:

    Terminal Type: Input I/O Point Wire Left

    Show: Always

    For Terminal row 11:

    Terminal Type: Terminal Point Wire Right

    Show: Always

    Default for Optional Re-prompt and Break after for Terminal 2-11.

  25. Click Save Module, and then click Done after editing the terminals.


Add a PLC Address-based Component

Edit terminals - Part 2: Page 7 - 7
Create a PLC Diagram
PLC address-based components: Page 1 - 4
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a PLC Diagram >
Add a PLC Address-based Component
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • PLC address-based components: Page 1 - 4
  • Search for PLC I/O address: Page 2 - 4
  • Retag components: Page 3 - 4
  • Automatic wire numbers: Page 4 - 4


PLC address-based components: Page 1 - 4

Add a PLC Address-based Component
Add a PLC Address-based Component
Search for PLC I/O address: Page 2 - 4
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a PLC Diagram > Add a PLC Address-based Component >
PLC address-based components: Page 1 - 4
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In AutoCAD Electrical, when you retag components, it searches for a connected PLC I/O module's I/O point. When found, the I/O address value is substituted for the “%N” part of the default component tag.

Like component tags, AutoCAD Electrical uses the concept of a wire tag format string with replaceable parameters.

Therefore, you can assign the I/O address value to the wire number and the first component tag value when the wire is attached to a PLC I/O module's I/O point automatically.

Click the image to see how it works.


Search for PLC I/O address: Page 2 - 4

PLC address-based components: Page 1 - 4
Add a PLC Address-based Component
Retag components: Page 3 - 4
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a PLC Diagram > Add a PLC Address-based Component >
Search for PLC I/O address: Page 2 - 4
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To have AutoCAD Electrical search for I/O addresses for component tags and wire numbers connected to the PLC I/O module's I/O point:

  1. Click Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Drawing Properties. Enter AEPROPERTIES at the command prompt.
  2. In the Drawing Properties dialog box, select Search for PLC I/O address on insert for both the Components and Wire Numbers tab.


Retag components: Page 3 - 4

Search for PLC I/O address: Page 2 - 4
Add a PLC Address-based Component
Automatic wire numbers: Page 4 - 4
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a PLC Diagram > Add a PLC Address-based Component >
Retag components: Page 3 - 4
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To reassign component tags:

  1. Click Schematic tab [image] Edit Components panel [image] Retag Components drop-down [image] Retag Components. Enter AERETAG at the command prompt.
  2. In the Component Retag dialog box, click Active drawing (all) to retag all components in the current drawing.
  3. Click OK.

Notice the components are retagged with the I/O addresses.

Click the image to see how it works.


Automatic wire numbers: Page 4 - 4

Retag components: Page 3 - 4
Add a PLC Address-based Component
Use a Spreadsheet to Drive the Creation of PLC I/O Drawings
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a PLC Diagram > Add a PLC Address-based Component >
Automatic wire numbers: Page 4 - 4
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To use I/O addresses for wire numbers:

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wire Numbers drop-down [image] Wire Numbers. Enter AEWIRENO at the command prompt.
  2. In the Wire Tagging dialog box, click Drawing-wide.

Notice the I/O address wire numbers are added.

Click the image to see how it works.


Use a Spreadsheet to Drive the Creation of PLC I/O Drawings

Automatic wire numbers: Page 4 - 4
Create a PLC Diagram
Use a spreadsheet to drive the creation of PLC I/O drawings: Page 1 - 1
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a PLC Diagram >
Use a Spreadsheet to Drive the Creation of PLC I/O Drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Use a spreadsheet to drive the creation of PLC I/O drawings: Page 1 - 1


Use a spreadsheet to drive the creation of PLC I/O drawings: Page 1 - 1

Use a Spreadsheet to Drive the Creation of PLC I/O Drawings
Use a Spreadsheet to Drive the Creation of PLC I/O Drawings
Terminal Strips
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Create a PLC Diagram > Use a Spreadsheet to Drive the Creation of PLC I/O Drawings >
Use a spreadsheet to drive the creation of PLC I/O drawings: Page 1 - 1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can create drawings containing I/O schematic drawings for a project from scratch by using a spreadsheet.

Ladders and modules are inserted automatically, breaking at the bottom of one ladder and continuing the next ladder.

  1. Create and save a new drawing.
  2. Click Import/Export Data tab [image] Import panel [image] PLC I/O Utility. Enter AESS2PLC at the command prompt.
  3. Select the spreadsheet, for example, demoplc.xls and click Open.
  4. In the Spreadsheet to PLC I/O Utility dialog box, remain empty on the Setting field to use the default settings. To use the existing settings for the PLC diagram, click the Browse button. To set up the new settings, click the Setup button.
  5. In the Ladder Reference Numbering list, enter a value for the beginning line reference number for the first ladder in the drawing. Specify any other options to use for the ladder reference numbers.
  6. Use the default settings in the Module Placement list.
  7. Enter Demo10.dwg in the field of the Starting file name.
  8. Toggle to the Free run option in the Drawing File Creation list. Click Start.

AutoCAD Electrical constructs a set of PLC I/O drawings based on the information carried in the PLC spreadsheet.

NoteThis example uses the spreadsheet (demoplc.xls) in AutoCAD Electrical. You can change these settings to your requirements and save them for future use.

Click the image to see how it works.


Terminal Strips

Use a spreadsheet to drive the creation of PLC I/O drawings: Page 1 - 1
Workflow Automation using AutoCAD Electrical
Insert Terminal Strips
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical >
Terminal Strips
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Insert Terminal Strips


Insert Terminal Strips

Terminal Strips
Terminal Strips
Terminal strips: Page 1 - 5
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Terminal Strips >
Insert Terminal Strips
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Terminal strips: Page 1 - 5
  • Terminal strip selection: Page 2 - 5
  • Terminal strip editor: Page 3 - 5
  • Catalog code assignment: Page 4 - 5
  • Layout preview: Page 5 - 5


Terminal strips: Page 1 - 5

Insert Terminal Strips
Insert Terminal Strips
Terminal strip selection: Page 2 - 5
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Terminal Strips > Insert Terminal Strips >
Terminal strips: Page 1 - 5
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can create, insert, and edit terminal strips in Terminal Strip Editor dialog box for the entire project.

You can also extract terminal lists from your project drawing set, add some spare terminals and insert the terminal strips onto the current drawing.

This example demonstrates how to edit and insert a terminal strip.


Terminal strip selection: Page 2 - 5

Terminal strips: Page 1 - 5
Insert Terminal Strips
Terminal strip editor: Page 3 - 5
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Terminal Strips > Insert Terminal Strips >
Terminal strip selection: Page 2 - 5
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

  1. Activate WDDEMO project, and open demo09 drawing.
  2. Click Panel tab [image] Terminal Footprints panel [image] Editor. Enter AETSE at the command prompt.

    The Terminal Strip Selection dialog box appears.

  3. You can insert a terminal strip using the New button or make your selection on the Terminal Strip Selection dialog box, and click Edit.


Terminal strip editor: Page 3 - 5

Terminal strip selection: Page 2 - 5
Insert Terminal Strips
Catalog code assignment: Page 4 - 5
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Terminal Strips > Insert Terminal Strips >
Terminal strip editor: Page 3 - 5
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Terminal Strip Editor dialog box appears.

  4. Click the Number tab to reorder the terminals in ascending order. Click again to reorder in descending order.
  5. Click the last terminal, and then right-click to display the context menu.
  6. Select Spare [image] Insert.
  7. Set Spare Terminal Quantity to 2, and then click Insert Below button to place below the last terminal as shown.
NoteYou can also click the Insert Spare Terminal icon in the Spare list to add spare terminals.


Catalog code assignment: Page 4 - 5

Terminal strip editor: Page 3 - 5
Insert Terminal Strips
Layout preview: Page 5 - 5
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Terminal Strips > Insert Terminal Strips >
Catalog code assignment: Page 4 - 5
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

  8. Click the Catalog Code Assignment tab.
  9. Select all terminals, including spares, using the Shift key.
  10. Click Assign Catalog Number button in the Catalog list to assign parts catalog from the Part Catalog dialog box.
  11. In the Parts Catalog dialog box, select the required Manufacturer, Type, and Rating for the terminal strip. Click OK.


Layout preview: Page 5 - 5

Catalog code assignment: Page 4 - 5
Insert Terminal Strips
Generate Reports
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Terminal Strips > Insert Terminal Strips >
Layout preview: Page 5 - 5
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
  12. Click the Layout Preview tab.

  13. Click the Insert Terminal Strip button to insert the terminal strip on the drawing. Notice terminal editor dialog box appears after insertion.
  14. Toggle to Tabular Terminal Strip (Table Object) and click Update Preview button to see the Tabular Terminal Strip Table in the preview pane.

  15. Click Insert Terminal Strip to insert the table. Terminal strip editor dialog box appears for you to do editing.
  16. Click the Catalog Code Assignment tab.
  17. Select terminal number 5 and click Insert Accessory button in the Spare list.
  18. Type EB (End Bracket) in the Number field.
  19. Click Catalog Lookup to select its manufacturer and catalog number. Click OK.
  20. Click Insert Below button and click OK.
  21. Click Rebuild button to add the accessory (EB).
  22. Click OK. Notice that the accessory (EB) appears below terminal number 5 in the tabulated table.


Generate Reports

Layout preview: Page 5 - 5
Workflow Automation using AutoCAD Electrical
Generate a Schematic Report
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical >
Generate Reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Generate a Schematic Report
  • Generate a Panel Report
  • Automatic Report Generation


Generate a Schematic Report

Generate Reports
Generate Reports
Schematic report: Page 1 - 9
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Generate Reports >
Generate a Schematic Report
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Schematic report: Page 1 - 9
  • Bill of materials: Page 2 - 9
  • Report generator: Page 3 - 9
  • Table generation setup: Page 4 - 9
  • Insert bill of materials: Page 5 - 9
  • Project-wide report: Page 6 - 9
  • Generate all drawings in a project: Page 7 - 9
  • Export data - Part 1: Page 8 - 9
  • Export data - Part 2: Page 9 - 9


Schematic report: Page 1 - 9

Generate a Schematic Report
Generate a Schematic Report
Bill of materials: Page 2 - 9
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Generate Reports > Generate a Schematic Report >
Schematic report: Page 1 - 9
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can extract data from your drawings at any time during or after your design phase and export it to a report in Microsoft Excel, Microsoft Access, XML, ASCII, or CSV format.

There are many different types of schematic reports you can automatically generate from the drawings. They include the following:

  • Bill of materials
  • Wire From/To reports
  • Cable reports
  • Terminal reports
  • PLC I/O reports
  • Component reports
  • Connectors reports


Bill of materials: Page 2 - 9

Schematic report: Page 1 - 9
Generate a Schematic Report
Report generator: Page 3 - 9
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Generate Reports > Generate a Schematic Report >
Bill of materials: Page 2 - 9
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

It is easy to generate schematic report from an existing or completed wiring diagram in AutoCAD Electrical. You can follow these steps to generate a bill of material report for your schematic wiring diagram.

  1. Open an existing schematic wiring drawing.
  2. Click Reports tab [image] Schematic panel [image] Reports. Enter AESCHEMATICREPORT at the command prompt.
  3. To create a Bill of Material report, in the Schematic Reports dialog box, select Bill of Material from the Report Name list.
  4. To extract bill of material data for the current drawing, select Active drawing and click OK.


Report generator: Page 3 - 9

Bill of materials: Page 2 - 9
Generate a Schematic Report
Table generation setup: Page 4 - 9
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Generate Reports > Generate a Schematic Report >
Report generator: Page 3 - 9
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical generates the bill of material report for the current drawing and displays it in Report Generator dialog box.

  5. Click Put on Drawing to place the BOM in the current drawing.


Table generation setup: Page 4 - 9

Report generator: Page 3 - 9
Generate a Schematic Report
Insert bill of materials: Page 5 - 9
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Generate Reports > Generate a Schematic Report >
Table generation setup: Page 4 - 9
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can set the table format for the report in the Table Generation Setup dialog box.

  6. Click OK to accept the default settings.


Insert bill of materials: Page 5 - 9

Table generation setup: Page 4 - 9
Generate a Schematic Report
Project-wide report: Page 6 - 9
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Generate Reports > Generate a Schematic Report >
Insert bill of materials: Page 5 - 9
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The program generates the Bill of Material report for the active drawing.

NoteYou can also generate bill of material from the project.


Project-wide report: Page 6 - 9

Insert bill of materials: Page 5 - 9
Generate a Schematic Report
Generate all drawings in a project: Page 7 - 9
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Generate Reports > Generate a Schematic Report >
Project-wide report: Page 6 - 9
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can also generate a project-wide report. This example demonstrates how you can modify the report format for the wire number list and save the report as a Microsoft Excel (.XLS) file.

  1. Click Reports tab [image] Schematic panel [image] Reports. Enter AESCHEMATICREPORT at the command prompt.
  2. To generate a component wire list report, in the Schematic Reports dialog box, select Component Wire List from the Report Name list.
  3. To extract component wire list data for the project, select Project and click OK.


Generate all drawings in a project: Page 7 - 9

Project-wide report: Page 6 - 9
Generate a Schematic Report
Export data - Part 1: Page 8 - 9
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Generate Reports > Generate a Schematic Report >
Generate all drawings in a project: Page 7 - 9
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

  4. In the Select Drawings to Process dialog box, click Do All to select all drawings from the project drawing list, and click OK.


Export data - Part 1: Page 8 - 9

Generate all drawings in a project: Page 7 - 9
Generate a Schematic Report
Export data - Part 2: Page 9 - 9
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Generate Reports > Generate a Schematic Report >
Export data - Part 1: Page 8 - 9
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can save the report to an ASCII text file, a Microsoft Excel file, a Microsoft Access file, XML, or a CSV format file.

  5. In the Report Generator dialog box, click Save to File. Save the report in Excel spreadsheet format (.XLS).


Export data - Part 2: Page 9 - 9

Export data - Part 1: Page 8 - 9
Generate a Schematic Report
Generate a Panel Report
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Generate Reports > Generate a Schematic Report >
Export data - Part 2: Page 9 - 9
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You see a complete list of component wire numbers for all drawings in the active project when you open the .XLS file in Microsoft Excel.


Generate a Panel Report

Export data - Part 2: Page 9 - 9
Generate Reports
Generate a panel report: Page 1 - 1
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Generate Reports >
Generate a Panel Report
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Generate a panel report: Page 1 - 1


Generate a panel report: Page 1 - 1

Generate a Panel Report
Generate a Panel Report
Automatic Report Generation
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Generate Reports > Generate a Panel Report >
Generate a panel report: Page 1 - 1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical extracts various reports from these "smart" panel layout drawings including panel BOM, panel component/item lists, nameplate reports, and schematic versus panel exception reports.

The procedure to generate a panel report is like generating a schematic report for an active drawing or a project-wide drawings set. Use the Panel Reports tool to generate a panel report.

To generate the panel reports, click Reports tab [image] Panel panel [image] Reports. enter AEPANELREPORT at the command prompt.


Automatic Report Generation

Generate a panel report: Page 1 - 1
Generate Reports
Generate multiple reports: Page 1 - 1
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Generate Reports >
Automatic Report Generation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Generate multiple reports: Page 1 - 1
  • Report format file setup: Page 2 - 2
  • Group the SET files: Page 3 - 3


Generate multiple reports: Page 1 - 1

Automatic Report Generation
Automatic Report Generation
Report format file setup: Page 2 - 2
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Generate Reports > Automatic Report Generation >
Generate multiple reports: Page 1 - 1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can generate several reports simultaneously instead of individual reports by using the Automatic Report Generation tool. You can output the reports to individual drawing files, insert them on a drawing, or save to other data file formats (such as Microsoft Excel).


Report format file setup: Page 2 - 2

Generate multiple reports: Page 1 - 1
Automatic Report Generation
Group the SET files: Page 3 - 3
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Generate Reports > Automatic Report Generation >
Report format file setup: Page 2 - 2
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can define the report format file settings and save to one or several SET files using the Report Format File Setup tool.

The Report Name list in the Report Format File Setup dialog box appears all schematic and panel reports for you to create the report format SET files.

  1. Click Reports tab [image] Miscellaneous panel [image] Report Format Setup. Enter AEFORMATFILE at the command prompt.
  2. Define the report name for schematic or panel report, and the options for the Bill of Material in Report Format File Setup dialog box.
  3. In the Format File list, click Save As Format File to save the selections to a format SET file.
  4. Repeat the previous steps to create another SET file for the second and subsequent schematic/panel report.
NoteTo understand each option in the Report Format File Setup dialog box, click Help to proceed to the AutoCAD Electrical Help page.


Group the SET files: Page 3 - 3

Report format file setup: Page 2 - 2
Automatic Report Generation
Summary
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Generate Reports > Automatic Report Generation >
Group the SET files: Page 3 - 3
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can then group the SET files in the Selected Reports list to generate the report from the groupings.

  1. Click Reports tab [image] Miscellaneous panel [image] Automatic Reports. Enter AEAUTOREPORT at the command prompt.
  2. Add the SET files from Format File Name list to the Selected Reports list. If you do not have any format files, click Format File Setup to create and save a format file.
  3. Click OK to generate the report from the groupings.
NoteYou can combine several format SET files and save them as a report grouping (.RGF) for reuse.


Summary

Group the SET files: Page 3 - 3
Workflow Automation using AutoCAD Electrical
Summary
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical >
Summary
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Summary


Summary
Summary
Data Migration using AutoCAD Electrical
Moving from AutoCAD to AutoCAD Electrical > Workflow Automation using AutoCAD Electrical > Summary >
Summary
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This module is a guide of the tools and workflows for new AutoCAD Electrical users with experience using AutoCAD.

You now have a better understanding of how to get started with AutoCAD Electrical. Two things to note:

  • If you forget any particular workflow you rarely use, use this guide as a quick reminder.
  • Keep in mind that you can use multiple workflows to achieve a given result. Some workflows and techniques are more efficient than the others, but sometimes it can be a matter of preference. As you gain experience, you learn how to apply the best methods or workflows in AutoCAD Electrical for your particular job requirements.

Click the image to see how it works.


Data Migration using AutoCAD Electrical

Summary
Moving from AutoCAD to AutoCAD Electrical
Convert AutoCAD Symbols to AutoCAD Electrical Blocks
Moving from AutoCAD to AutoCAD Electrical >
Data Migration using AutoCAD Electrical
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Convert AutoCAD Symbols to AutoCAD Electrical Blocks
  • Block Replacement
  • Promis.e Conversion


Convert AutoCAD Symbols to AutoCAD Electrical Blocks

Data Migration using AutoCAD Electrical
Data Migration using AutoCAD Electrical
Conversion to AutoCAD Electrical Symbols
Moving from AutoCAD to AutoCAD Electrical > Data Migration using AutoCAD Electrical >
Convert AutoCAD Symbols to AutoCAD Electrical Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Conversion to AutoCAD Electrical Symbols


Conversion to AutoCAD Electrical Symbols

Convert AutoCAD Symbols to AutoCAD Electrical Blocks
Convert AutoCAD Symbols to AutoCAD Electrical Blocks
Conversion to AutoCAD Electrical Symbols: Page 1 - 6
Moving from AutoCAD to AutoCAD Electrical > Data Migration using AutoCAD Electrical > Convert AutoCAD Symbols to AutoCAD Electrical Blocks >
Conversion to AutoCAD Electrical Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Conversion to AutoCAD Electrical Symbols: Page 1 - 6
  • Explode AutoCAD blocks into separate text entities and geometry: Page 2 - 6
  • Tag schematic: Page 3 - 6
  • Link schematic: Page 4 - 6
  • Add wire connections: Page 5 - 6
  • Add geometry: Page 6 - 6


Conversion to AutoCAD Electrical Symbols: Page 1 - 6

Conversion to AutoCAD Electrical Symbols
Conversion to AutoCAD Electrical Symbols
Explode AutoCAD blocks into separate text entities and geometry: Page 2 - 6
Moving from AutoCAD to AutoCAD Electrical > Data Migration using AutoCAD Electrical > Convert AutoCAD Symbols to AutoCAD Electrical Blocks > Conversion to AutoCAD Electrical Symbols >
Conversion to AutoCAD Electrical Symbols: Page 1 - 6
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical uses AutoCAD blocks and attributes in its library symbols.

If you have legacy electrical drawings created in AutoCAD with blocks, without blocks (meaning it has only object entities) or a mix of both, this section shows how to convert them to intelligent AutoCAD Electrical symbols.


Explode AutoCAD blocks into separate text entities and geometry: Page 2 - 6

Conversion to AutoCAD Electrical Symbols: Page 1 - 6
Conversion to AutoCAD Electrical Symbols
Tag schematic: Page 3 - 6
Moving from AutoCAD to AutoCAD Electrical > Data Migration using AutoCAD Electrical > Convert AutoCAD Symbols to AutoCAD Electrical Blocks > Conversion to AutoCAD Electrical Symbols >
Explode AutoCAD blocks into separate text entities and geometry: Page 2 - 6
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To convert AutoCAD text entities to AutoCAD Electrical attribute definitions, you explode the AutoCAD blocks into separate text entities and geometry.

To maintain the value previously defined in the text attributes, use the Special Explode tool to convert the blocks and attributes to geometry and text entities.

Click Conversion Tools tab [image] Tools panel [image] Special Explode. Enter AEEXPLODE at the command prompt.

Select any AutoCAD symbol blocks to convert.

Click the image to see how it works.


Tag schematic: Page 3 - 6

Explode AutoCAD blocks into separate text entities and geometry: Page 2 - 6
Conversion to AutoCAD Electrical Symbols
Tag schematic: Part 1
Moving from AutoCAD to AutoCAD Electrical > Data Migration using AutoCAD Electrical > Convert AutoCAD Symbols to AutoCAD Electrical Blocks > Conversion to AutoCAD Electrical Symbols >
Tag schematic: Page 3 - 6
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Tag schematic: Part 1
  • Tag schematic: Part 2


Tag schematic: Part 1

Tag schematic: Page 3 - 6
Tag schematic: Page 3 - 6
Tag schematic: Part 2
Moving from AutoCAD to AutoCAD Electrical > Data Migration using AutoCAD Electrical > Convert AutoCAD Symbols to AutoCAD Electrical Blocks > Conversion to AutoCAD Electrical Symbols > Tag schematic: Page 3 - 6 >
Tag schematic: Part 1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To convert the normal text to intelligent electrical attributes, tag the symbol text to either Schematic Parent or Standalone - TAG1 or Schematic Child - TAG2 symbols.

Click Conversion Tools tab [image] Schematic panel [image] Tag Component. Enter AETAGSCH at the command prompt.

Select the text on the relays for converting to Schematic Parent attributes.


Tag schematic: Part 2

Tag schematic: Part 1
Tag schematic: Page 3 - 6
Link schematic: Page 4 - 6
Moving from AutoCAD to AutoCAD Electrical > Data Migration using AutoCAD Electrical > Convert AutoCAD Symbols to AutoCAD Electrical Blocks > Conversion to AutoCAD Electrical Symbols > Tag schematic: Page 3 - 6 >
Tag schematic: Part 2
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

As they convert to smart electrical tags, you can edit the component tag and add the description line 1, description line 2, manufacturer, and location code for each symbol.

The illustration shows the edited tag, description line 1, and description line 2 for the relays.


Link schematic: Page 4 - 6

Tag schematic: Part 2
Conversion to AutoCAD Electrical Symbols
Add wire connections: Page 5 - 6
Moving from AutoCAD to AutoCAD Electrical > Data Migration using AutoCAD Electrical > Convert AutoCAD Symbols to AutoCAD Electrical Blocks > Conversion to AutoCAD Electrical Symbols >
Link schematic: Page 4 - 6
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can access any of the link options in the Link Schematic palette to connect the description line, catalog data, installation code, location code, pins, rating, and others to the component tag definition.

The Link Description tool was used to link the description line 1 and line 2 to the component tag in the illustration.

Select the tagged TAG1 block definition, right-click to apply the selection, and then click the text to fill in the next available description (DESC) attribute.

Click the image to see how it works.


Add wire connections: Page 5 - 6

Link schematic: Page 4 - 6
Conversion to AutoCAD Electrical Symbols
Add geometry: Page 6 - 6
Moving from AutoCAD to AutoCAD Electrical > Data Migration using AutoCAD Electrical > Convert AutoCAD Symbols to AutoCAD Electrical Blocks > Conversion to AutoCAD Electrical Symbols >
Add wire connections: Page 5 - 6
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can now add wire connection attributes to the existing Block TAG.

  1. Click Conversion Tools tab [image] Tools panel [image] Add Wire Connections. Enter AEWIRECONN at the command prompt.
  2. Select the Parent Schematic TAG to tie the wire connection to.
  3. Select the wire end or pick near the selected block to select a location.
  4. If there are no existing wire connection attributes, click the wire again to locate the terminal description attributes.


Add geometry: Page 6 - 6

Add wire connections: Page 5 - 6
Conversion to AutoCAD Electrical Symbols
Block Replacement
Moving from AutoCAD to AutoCAD Electrical > Data Migration using AutoCAD Electrical > Convert AutoCAD Symbols to AutoCAD Electrical Blocks > Conversion to AutoCAD Electrical Symbols >
Add geometry: Page 6 - 6
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Using the Add Geometry tool, you can create the block definition by adding the AutoCAD geometry to the attribute definitions.

  1. Click Conversion Tools tab [image] Tools panel [image] Add Geometry. Enter AEGEOMETRY at the command prompt.
  2. Select the block TAG attribute to tie to the AutoCAD geometry (relay).
  3. Select the AutoCAD geometry (relay) to add to the block definition.
  4. Locate the center of the relay for the insertion point of the symbol.

You have converted the AutoCAD legacy symbols to AutoCAD Electrical intelligent symbols. You can generate bill of materials, component, wire from/to and many other schematic reports from the drawing.

Click the image to see how it works.


Block Replacement

Add geometry: Page 6 - 6
Data Migration using AutoCAD Electrical
Block Replacement: Page 1 - 1
Moving from AutoCAD to AutoCAD Electrical > Data Migration using AutoCAD Electrical >
Block Replacement
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Block Replacement: Page 1 - 1


Block Replacement: Page 1 - 1

Block Replacement
Block Replacement
Promis.e Conversion
Moving from AutoCAD to AutoCAD Electrical > Data Migration using AutoCAD Electrical > Block Replacement >
Block Replacement: Page 1 - 1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If you have non-AutoCAD Electrical blocks and attributes in a single drawing or several drawings in a project to be converted to smart AutoCAD Electrical symbols, use the Block Replacement tool for quick conversion with a user-defined spreadsheet.

Click Conversion Tools tab [image] Tools panel [image] Block Replacement drop-down [image] Block Replacement. Enter AEBLOCKREPLACE at the command prompt.

You can run the block replacement on the entire project, the active drawing, or a single symbol on the active drawing.

NoteProceed to the Help topic "Learn about block/attribute mapping" to create your spreadsheet.

Click the image to see how it works.

See example of the attribute mapping spreadsheet

Old Attribute Name | AutoCAD Electrical Attribute Name
DESCRIPTION | DESC3
RATING | RATING1
CATNO | CAT
MANUFACTURER | MFG
PANEL | LOC
TERM_OUT | TERM01
WIRE_OUT | WIRENO
TERM_IN | TERM02
WIRE_IN | WIRENO
DESCRIPTOR | TAG1
POINTADDRESS | TAGA
LABEL | TERM
RACK | LINE1
GROUP | LINE3
SLOT | LINE2
DESCRIPTION1 | DESC1
DESCRIPTION2 | DESC2
ASSEMBLY | ASSYCODE
See example of the block mapping spreadsheet

Old Block Name | AutoCAD Electrical Block Name | Filtering Expression | Scale Multiplier | X-Y offset | Attribute Name Overrides (old=new) | Attribute Value Overrides (attribute=value)
_SOL | HSV1 |  |  | 0.375,0 |  |
_MTR40 | HMO13 |  |  | 0.375,0 |  |
_XFMR | HXFMR |  |  | 0.875,0 |  |
_EGRD | VGND2 |  |  | -0.2,0 |  |
_PRSNC | HPS12 |  |  | 0.375,0 |  |
_PBNC | HPB12 |  |  | 0.375,0 |  |
_PBNO | HPB11 |  |  | 0.375,0 |  |
_LT | HLT1R |  |  | 0.375,0 |  |
_MHNO | HPB11M |  |  | 0.375,0 |  |
_MS | HMS1 |  |  | 0.375,0 |  |
_MHNC | HPB12M |  |  | 0.375,0 |  |


Promis.e Conversion

Block Replacement: Page 1 - 1
Data Migration using AutoCAD Electrical
Promis.e Conversion: Page 1 - 1
Moving from AutoCAD to AutoCAD Electrical > Data Migration using AutoCAD Electrical >
Promis.e Conversion
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Promis.e Conversion: Page 1 - 1


Promis.e Conversion: Page 1 - 1

Promis.e Conversion
Promis.e Conversion
Moving from AutoCAD to AutoCAD Electrical > Data Migration using AutoCAD Electrical > Promis.e Conversion >
Promis.e Conversion: Page 1 - 1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If you have drawings created from Promis.e, you can convert them to AutoCAD Electrical smart drawings using the Promis.e Conversion tool.

The Promis.e Conversion tool converts drawing files from Promis.e to AutoCAD Electrical, while maintaining graphical elements. The drawing file data is converted into a format that can be edited and maintained in AutoCAD Electrical. You can convert a single drawing file or an entire project.

Click Conversion Tools tab [image] Tools panel [image] Promis·e Conversion. Enter AEP2Eat the command prompt.

Click the image to see how it works.


Symbol Builder

Electrical Visual Dictionary
Electrical Visual Dictionary - Examples
Workflow Automation using AutoCAD Electrical
Moving from AutoCAD to AutoCAD Electrical > Electrical Visual Dictionary - Examples >
Symbol Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The (1) custom device in this illustration was created with the Symbol Builder utility.

Return to Visual Dictionary


Wire Fan-In/Out

Electrical Visual Dictionary
Electrical Visual Dictionary - Examples
Workflow Automation using AutoCAD Electrical
Moving from AutoCAD to AutoCAD Electrical > Electrical Visual Dictionary - Examples >
Wire Fan-In/Out
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When you insert a Fan In/Out marker, AutoCAD Electrical breaks the wire and changes the layer of one side of the wire to a special layer. If you insert a source marker, then the wire coming out of the marker changes. If it is a destination marker, the wire coming into the marker changes. You can use the AutoCAD Electrical Set/Convert Fan In/Out Layer command to change a wire to one of these layers.

Return to Visual Dictionary


Scoot

Electrical Visual Dictionary
Electrical Visual Dictionary - Examples
Workflow Automation using AutoCAD Electrical
Moving from AutoCAD to AutoCAD Electrical > Electrical Visual Dictionary - Examples >
Scoot
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the Scoot tool to move the component, wire, rung, or wire number and stay connected.

Click the image to see how it works.

Return to Visual Dictionary


Rung

Electrical Visual Dictionary
Electrical Visual Dictionary - Examples
Workflow Automation using AutoCAD Electrical
Moving from AutoCAD to AutoCAD Electrical > Electrical Visual Dictionary - Examples >
Rung
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Click the Add Rung tool and locate the rung position between the ladders as shown. The program creates a rung.

Click the image to see how it works.

Return to Visual Dictionary


Terminal Strip

Electrical Visual Dictionary
Electrical Visual Dictionary - Examples
Workflow Automation using AutoCAD Electrical
Moving from AutoCAD to AutoCAD Electrical > Electrical Visual Dictionary - Examples >
Terminal Strip
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To create a terminal strip click Panel tab [image] Terminal Footprints panel [image] Editor. enter AETSE at the command prompt.

Return to Visual Dictionary


Terminal Block

Electrical Visual Dictionary
Electrical Visual Dictionary - Examples
Workflow Automation using AutoCAD Electrical
Moving from AutoCAD to AutoCAD Electrical > Electrical Visual Dictionary - Examples >
Terminal Block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

(1) Terminal Blocks

Click the Insert Component tool. Select Terminals/Connectors to insert a terminal block.

Return to Visual Dictionary


PLC (Programmable Logic Controller)

Electrical Visual Dictionary
Electrical Visual Dictionary - Examples
Workflow Automation using AutoCAD Electrical
Moving from AutoCAD to AutoCAD Electrical > Electrical Visual Dictionary - Examples >
PLC (Programmable Logic Controller)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

PLC (Programmable Logic Controller) diagram

Return to Visual Dictionary


Pinlist

Electrical Visual Dictionary
Electrical Visual Dictionary - Examples
Workflow Automation using AutoCAD Electrical
Moving from AutoCAD to AutoCAD Electrical > Electrical Visual Dictionary - Examples >
Pinlist
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Click the relay coil to display the maximum NO/NC counts and/or allowed Pin number database.

Return to Visual Dictionary


Surfer

Electrical Visual Dictionary
Electrical Visual Dictionary - Examples
Workflow Automation using AutoCAD Electrical
Moving from AutoCAD to AutoCAD Electrical > Electrical Visual Dictionary - Examples >
Surfer
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Click the Surfer tool and select the tag at line 203A. The Surf dialog box shows the line source reference to line destination in sheet 3.

Click sheet 3, line 203A, and then click the Go To button to automatically open sheet 3 to display the wire number 203A.

Click the image to see how it works.

Return to Visual Dictionary


Signal Cross-reference

Electrical Visual Dictionary
Electrical Visual Dictionary - Examples
Workflow Automation using AutoCAD Electrical
Moving from AutoCAD to AutoCAD Electrical > Electrical Visual Dictionary - Examples >
Signal Cross-reference
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

(1) source signal (2) destination signal

You can update the Source/Destination wire signals one at a time, drawing-wide, or project-wide with the wire signal's update source/destination cross-reference checked out in the Wire signal and Stand-alone Cross-reference Updates dialog box.

Return to Visual Dictionary


Component Cross-reference

Electrical Visual Dictionary
Electrical Visual Dictionary - Examples
Workflow Automation using AutoCAD Electrical
Moving from AutoCAD to AutoCAD Electrical > Electrical Visual Dictionary - Examples >
Component Cross-reference
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

(1) Real-time component cross-reference

When you change the type of component, AutoCAD Electrical automatically searches the related components. It prompts you to update to match edited component in the active drawing or multiple sheets of drawing in the project.

Return to Visual Dictionary


WD_PNLM Block

Electrical Visual Dictionary
Electrical Visual Dictionary - Examples
Workflow Automation using AutoCAD Electrical
Moving from AutoCAD to AutoCAD Electrical > Electrical Visual Dictionary - Examples >
WD_PNLM Block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Click Insert Footprint tool. In Alert dialog box, click OK to insert the invisible block "WD_PNLM" into the current drawing.

Return to Visual Dictionary


WD_M Block

Electrical Visual Dictionary
Electrical Visual Dictionary - Examples
Workflow Automation using AutoCAD Electrical
Moving from AutoCAD to AutoCAD Electrical > Electrical Visual Dictionary - Examples >
WD_M Block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Click the Component tool. In the Alert dialog box, click OK to force the configuration settings of the drawing to match the project settings for the wiring diagram.

Return to Visual Dictionary


Project Definition File (WDP)

Electrical Visual Dictionary
Electrical Visual Dictionary - Examples
Workflow Automation using AutoCAD Electrical
Moving from AutoCAD to AutoCAD Electrical > Electrical Visual Dictionary - Examples >
Project Definition File (WDP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The illustration on the left shows the Project Manager.

Return to Visual Dictionary


Symbols vs. Components

Electrical Visual Dictionary
Electrical Visual Dictionary - Examples
Workflow Automation using AutoCAD Electrical
Moving from AutoCAD to AutoCAD Electrical > Electrical Visual Dictionary - Examples >
Symbols vs. Components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Return to Visual Dictionary


Panel Footprints vs. Schematic Symbols

Electrical Visual Dictionary
Electrical Visual Dictionary - Examples
Workflow Automation using AutoCAD Electrical
Moving from AutoCAD to AutoCAD Electrical > Electrical Visual Dictionary - Examples >
Panel Footprints vs. Schematic Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Return to Visual Dictionary


Wiring Diagram vs. Schematic Diagram

Electrical Visual Dictionary
Electrical Visual Dictionary - Examples
Workflow Automation using AutoCAD Electrical
Moving from AutoCAD to AutoCAD Electrical > Electrical Visual Dictionary - Examples >
Wiring Diagram vs. Schematic Diagram
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Click the image to see more examples.

Return to Visual Dictionary


Electrical Visual Dictionary - Examples

Electrical Visual Dictionary
Moving from AutoCAD to AutoCAD Electrical
Workflow Automation using AutoCAD Electrical
Moving from AutoCAD to AutoCAD Electrical >
Electrical Visual Dictionary - Examples
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!